# Google shut down caching servers at two Russian ISPs
## Two Russian internet service providers (ISPs) have received notices from Google that the global caching servers on their network have been disabled.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/google-shut-down-caching-servers-at-two-russian-isps/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 May 2022, 13:26
+ Date scraped: 26 May 2022, 14:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/27/server.jpg)



Two Russian internet service providers (ISPs) have received notices from Google that the global caching servers on their network have been disabled.


A caching server is an ISP-bound node for fast serving Google content faster to internet subscribers and maintain high access reliability even during outages.


The caching is most important for popular YouTube content that ISPs can store on servers and load quicker, giving their subscribers a better connection experience.


Russian news outlets attempted to confirm which entities have been affected by this sudden move and verified that Radiosvyaz (Focus Life) and МФТИ-Телеком (MIPT Telecom) are currently affected by Google's decision.


MTS, the largest mobile network provider in Russia, and MegaFon providers report seeing no changes for now, while VimpelCom, T2 RTK Holding, and ER-Telecom have declined to comment on the matter.


The two ISPs confirmed as impacted had their caching servers shut down on May 19, 2022, but received Google's notification only a few days after that date.


MIPT Telecom has shared a copy of the notice they received from Google with [RBC.ru](https://www.rbc.ru/technology_and_media/26/05/2022/628e65049a79476511920dfa) that confirmed the validity of the reports and the provided justification.


In the notice, Google states the reason for turning off the caching servers was changes in legal practices, pointing to the inclusion of firms and key persons on sanctions lists.


## Estimating the impact


The impact on the two Russian ISPs is significant but the two companies have a relatively small market share, which makes the effects unlikely to affect a large number of internet users in the country.


However, if Google expands the ban to all Russian internet providers, the conditions will change dramatically for both companies and their customers.


Google's Global Cache reduces external traffic between 70% to 90%, depending on the content consumption patterns of the end-users of ISP operators.



![How Google's caching servers work](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/caching-servers.png)**How Google's caching servers work** *(Netmanias)*


Losing the service would increase their operational cost, and this may trickle into the subscribers' monthly bill.


Apart from that, shutting down the caching servers doesn't only threaten to make YouTube video loading slower. It will also affect servers such as Google CAPTCHA that is stored on the same systems.


If ISPs are deprived of this service, the system that tells humans and bots apart might not work on Russian sites.


## Google subsidiary bankrupt


It is worth noting that Google's subsidiary in Russia initiated bankruptcy procedures [right before](https://www.interfax.ru/russia/841486) the first caching servers in the country were shut down.


The entity stated incapacity to continue business in Russia due to a massive ($100,000,000) fine imposed by a court on claims from Roskomnadzor on lack of compliance with blocking demands.


This was combined with the confiscation of its local assets [worth roughly $32,500,000](https://www.dw.com/ru/po-iskam-smi-v-rossii-arestovano-uzhe-2-mlrd-rublej-ooo-gugl/a-61880272) approved by the Moscow Arbitration Court in response to several motions submitted by YouTube channel owners like NTV, TNT, ANO TV-Novosti (RT), TV Channel 360, VGTRK, Zvezda, OTR, TV Center and Moscow 24, who had their channels removed by Google.


However, Google's local subsidiary was not involved in the provision of caching services in Russia, as these are part of Google's global operations, so the two issues are not connected, at least at a technical level.


BleepingComputer has requested more information from Google on the matter and the company's future plans but haven't received an answer by publishing time.





## Tags:


### Autogenerated tags:
[[google]] [[isps]] [[youtube]]
