# Hackers Use CAPTCHA Bypass Techniques to Create Five GitHub Accounts Every Minute
## PURPLEURCHIN was initially identified in October 2022 when Sysdig disclosed that the attackers scaled their operations by opening 30 GitHub accounts, 2,000 Heroku accounts, and 900 Buddy accounts.
## Information:

+ Link: https://cybersecuritynews.com/?p=12847
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 09 January 2023, 06:58
+ Date scraped: 09 January 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgFtA8UVE2Zw6EHG4xbafEeRB5SR09UFaZ6ynF-K6oHz3T9vu9vsaeiVP7Y64_WhDTA9OakL1MGc8V_9lpDr0F6Ig6PbgxypN8UAXj0KridCeUy1ESbScwHKOEiWezSx1JDO0WEcGVjicycGsG9SdVFX5WrPCk5OvMKpczgWG7PRyJdb7d6gFADWx84WA/s16000/Hackers%20Bypass%20Captcha.png)


Researchers from Unit 42 analyze Automated Libra, the group of cloud threat actors responsible for PurpleUrchin, the freejacking campaign.





It is been observed that Automated Libra has been refining its methods to profit from cloud platform resources used for [cryptocurrency mining](https://cybersecuritynews.com/cryptomining-malware/).


Threat actors abuse free cloud resources by using a new [CAPTCHA-solving technique](https://cybersecuritynews.com/why-website-captchas-are-vulnerable-to-cyber-attacks/), more aggressive CPU resource utilization for mining, and a mix of “freejacking” and the “Play and Run” method.


PURPLEURCHIN was initially identified in October 2022 when Sysdig disclosed that the attackers scaled their operations by opening 30 GitHub accounts, 2,000 Heroku accounts, and 900 Buddy accounts.


“We collected more than 250 GB of container data created for the PurpleUrchin operation and discovered that the threat actors behind this campaign were creating three to five GitHub accounts every minute during the peak of their operations in November 2022”, [Unit 42 reports](https://unit42.paloaltonetworks.com/purpleurchin-steals-cloud-resources/).


## **Play and Run Tactics**


Reports say PurpleUrchin threat actors used Play and Run strategies, consuming cloud resources while avoiding paying the cloud platform vendor’s bill for such resources.


Actors from PurpleUrchin carried out these Play and Run activities by setting up and using fake accounts and using fake or perhaps stolen payment cards. These fake accounts had an outstanding balance. $190 USD was one of the greatest outstanding balances discovered.


*“We suspect the unpaid balances in other fake accounts and cloud services used by the actors could have been much larger due to the scale and breadth of the mining operation”, researchers*


### **The Specifics of Automated Libra**


The threat actor uses automated campaigns to create new accounts on the platforms and run cryptocurrency miners in containers by abusing continuous integration and deployment (CI/CD) service providers like GitHub, Heroku, Buddy.works, and Togglebox.


Unit 42 found that the threat actor traded the cryptocurrency they had mined on a variety of trading platforms, including ExchangeMarket, crex24, Luno, and CRATEX, as well as using containerized components for mining.


### **Mining with GitHub Workflows**


Researchers say due to its easier account setup process, GitHub was most likely used by the actors. The actors were able to take advantage of a flaw in the GitHub CAPTCHA check.


Notably, after engaging in a Play and Run strategy where each account would demand computing resources, threat actors finally failed to pay their bills for each of the GitHub accounts.


PurpleUrchin generated more than 130,000 accounts across numerous virtual private server (VPS) providers and cloud service providers, suggesting that this is a typical operating practice for them (CSPs).


The threat actors transform CAPTCHA images into their RGB equivalents using ImageMagic’s “convert” tool and then use the “identify” tool to determine each image’s Red channel skewness.


The “identify” tool’s output value is used to rank the photos in ascending order. The automated tool uses the table to select the image that tops the list, which is usually the right one.



![CAPTCHA and conversion](https://lh3.googleusercontent.com/JtlLUtmvvFlFI9XWM8G19zHCasfL0Ax0ymF3dvd-BMTfe4RftMkFzQDsI0mbn0u-wHfVWgcrvH1HPa1IIo6YenKJGa6BCw8q0mp4o8iqjsGekmGpA63ZR0CiA2oj_4aLoj6OBWIAupVAC8vzGnOe6D-OyhGU97qjHJlj1ZpCIDHpD4wwHbQH6Tiz1_5mEANGBj5nGK7Rbw)CAPTCHA and Conversion



![Ranking images by the skewness value](https://lh6.googleusercontent.com/l8QTsbv2bw8MZLvL1yrBSTJBtGB6XlDz_GP9QOC5KbmEbgBOEVg3KCZ7H-lc2q1gB91XeY_v4HvftuxqKHpGeAPuH1C_UqiDDIYcuedsuJn-Bq7ult_lKSbdFGHS3UblpSK0BATRnC8VSfhF_O9kgdpqJR6HFbfAMMAphHXZvN0PRX1Kppx6WrCyFeRxKvkiyX9Gjj5AgQ)Command to extract skewness value and image ranking 


This system demonstrates Automated Libra’s commitment to enhancing operational effectiveness by raising the number of GitHub accounts they can create each minute.



![Image 13 is a graph showing the number of GitHub accounts created by PurpleUrchin actors. There is a dramatic increase in November 2022, compared to September and October of the same year. ](https://lh5.googleusercontent.com/X7JODFSjzyKet-M0yvXxaeW0fz7e0oG6fsZADBsp39iPtrG22D7EakqiFV4kBqFNOa0bJJvXUYN1jCAU306qdRk_jM4sBkosOmmBQAe4-uRqOe2X9eCxNA_8jTuWKrsY2894jLV3mmgy9rUdBQcyt1q5xruna9DL5yXI888w7n_lubV3SterPssPBvfp4ISD36jlYzaWfw)Number of GitHub accounts created by the PurpleUrchin actor


“It is important to note that Automated Libra has designed its infrastructure to take full advantage of CD/CI tools,” the researchers concluded.


“This has become easier to achieve over time as traditional VSPs diversify their service portfolios to include cloud-related services. It’s easier for attackers because they don’t need it to deploy the application.”






## Tags:


### Autogenerated tags:
[[github]] [[cloud]] [[purpleurchin]] [[captcha]]
