# Hackers Using Greatness PaaS tool to Steal Microsoft 365 Login Credentials
## A new Phishing-as-a-Service (PaaS) tool called Greatness is being used by cybercriminals to steal Microsoft 365 login credentials.
## Information:

+ Link: https://cybersecuritynews.com/?p=65799
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 27 May 2024, 15:46
+ Date scraped: 28 May 2024, 10:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjZP4_C3YHAdp3DfQ5UP05-ZnLpkmNzNomuueHgfpUDgYtxsDDP5eOvS0n-ki7Q5ml131whW9ehVNzftrX7CJFsgDSx00_xT7CA7fcpbkgwhuJUpm8Vs6jxIRWRxKQ0WkSFcMoIlT9btM8IZw-clIjFRsB58nh_dOa9MT223-B-kaqoqwAdY3uVFs_Qo80/s1600/Remcos%20RAT%20%20(1)%20(1)%20(1).webp)


A new [Phishing-as-a-Service (PaaS)](https://cybersecuritynews.com/interpol-shut-down-phishing-as-a-service-platform/) tool called Greatness is being used by cybercriminals to steal Microsoft 365 login credentials. 


First detected in 2022, Greatness allows attackers to bypass security measures and has been continuously updated with evasion tactics.


As a result of its ability to save attackers time on development and provide advanced capabilities, it is gaining more and more popularity.


Law enforcement agencies are working to dismantle these services, with a recent takedown of LabHost.


Attackers are using QR vectors to target both employers and employees, and greatness is being used to compromise user accounts and steal login credentials.


![Attack Flow Of Greatness PaaS Attacks](https://lh7-us.googleusercontent.com/e0qXfA4znWddyCSwdVTC6moploOdsDi_DqrzA7PZthU_2OVMDZmCDviCmq1drBXQ8Zc_us2UlqcjFb1cfxa8VkVNSPanjd4L5SkqxexaJgKhEqC_Wo9rktHgoPVgJWhPmGlAGyKlPwxdWkdJ1W9WGpY)

Attack Flow Of Greatness PaaS Attacks




The Greatness phishing tool initially used malicious HTML attachments disguised as login pages.


`ANYRUN malware sandbox’s 8th **[Birthday Special Offer](https://app.any.run/plans/?utm_source=linkedin_csn&utm_medium=post&utm_campaign=birthday2024_scn&utm_content=plans&utm_term=200524/)**: Grab 6 Months of Free Service`


Server-side validation determined if an error message or the phishing page would be shown, and after public exposure, [attackers](https://cybersecuritynews.com/winrar-flaw-deceive-users/) shifted to PDF files and URLs to bypass detection. 


![Captcha Evasion Display](https://lh7-us.googleusercontent.com/Wc6EKnmcol9_rRVwSBoIWuk0TGiAHSSCOaJgzrsXPKg31WDnCnX2JoVQGzBZv_94TpknLyZGM-vZdHvfegnHIXoiq0yNIcov5Lt0jzGOW5ahajQgdnqWMj6NAW7IudnaWpCyDEMcYdmWxHLOp51zH18)

Captcha Evasion Display




Now, they use multi-layered evasion, including CAPTCHAs and QR codes in PDFs, to prevent automated analysis before the tool’s verification, which makes it difficult to stop attacks as they rely on publicly available information.


It employs obfuscated content, including dynamically loaded JavaScript libraries and Base64 encoded strings, to hinder analysis, implements anti-bot measures, and encrypts data using AES with a PBKDF2-derived key.


![De-obfuscated Encryption Function](https://lh7-us.googleusercontent.com/hHg1s7hb4NZkODCK6bnGDEYQN2b_PUgxCOQl2Jr3jj0qs_w-kMWPStoEqnRvinMhmVScmbzcRWXymDeX9yiETvENJontC7YEjPS5yoBYgGAGAP3h4RliQNAhqRarLpV0b8tfmEV5gDv2P-A0eBjwZXk)

De-obfuscated Encryption Function




A JWT is generated with a Base64 encoded timestamp and used alongside encrypted data in AJAX requests.


Error handling is incorporated for various scenarios, including invalid data and failed requests.


The script utilizes a Telegram token and API key for security and redirects users based on specific parameters, and obfuscation techniques like Base64 encoding and string manipulation further complicate the analysis.


![De-obfuscated Function Call](https://lh7-us.googleusercontent.com/T_-I-8sxKGqwDmGab2Ur4xHWsNUj4wI8hCx7b9zIHmnJMXHJ5Dtz_Edwx5ZOzWsXUj36CO3IfxklPaC2dfMyfbn54LXr9TV5UpAPaEF0OYtr5W4ux8yhgv4XiznPMHOQUL1b3Bg9lDFa5oRs0YAj_wY)

De-obfuscated Function Call




It leverages an Adversary In The Middle (AiTM) technique to bypass Multi-Factor Authentication (MFA), as the phishing kit steals credentials and intercepts the MFA prompt from the user, then relays the MFA information to the legitimate service and uses the session cookie to gain access while impersonating the victim.


Greatness primarily targets the United States financial services industry but has also been used against the manufacturing, energy, retail, and consulting sectors, where the phishing emails often contain a QR code that leads to a [malicious link.](https://cybersecuritynews.com/malicious-files-with-evidence-of-execution-using-belkasoft/) 


![Detection Graph](https://lh7-us.googleusercontent.com/XJhfhlPXVnAhqNJkk_3V6ZYsa7USEE3rH49B3SMSc5_i9En5obDbao1DIDruR9WBGduMIIdlc9DFkXyE6HbB3XoTfOeD6lzMFBzR9tE-1cGRKdr0rxVGcHtfgA0Iyjyj5kiDzsLWdU6AWrrjX-uLXEk)

Detection Graph




Researchers at [Trellix](https://www.trellix.com/blogs/research/tale-of-greatness-journey-through-dark-roads/) found malicious URLs that steal user credentials and some that lead to seemingly legitimate shared files or eFax pages, which highlights the evolving threat of Greatness, a tool used by cybercriminals to bypass security measures. 





## Tags:


### Autogenerated tags:
[[phishing]] [[base64]] [[mfa]]
