# 68% of US Websites Exposed to Bot Attacks
## The conclusion was reached after researchers evaluated over 9,500 of the largest transactional websites in terms of traffic, encompassing sectors such as banking, e-commerce, and ticketing businesses.
## Information:

+ Link: https://www.hackread.com/68-of-us-websites-exposed-to-bot-attacks/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 30 November 2023, 16:46
+ Date scraped: 01 December 2023, 19:10

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2023/11/68-of-us-websites-exposed-to-bot-attacks.jpg)


[Bad bots](https://www.hackread.com/will-good-prevail-over-bad-as-bots-battle-for-the-internet/) are plaguing the internet, making up over 30% of internet traffic today. Cybercriminals can use them to target online businesses with fraud and other types of attacks, according to the latest research from online fraud and mitigation company DataDome.






According to a report from DataDome, a company specializing in bot and online fraud protection, released on November 28, 68% of US websites lack adequate protection against [simple bot attacks](https://www.hackread.com/bad-to-the-bot-bone/), highlighting how vulnerable US businesses could be to automated cyberattacks.


The researchers assessed more than 9,500 of the largest transactional websites in terms of traffic, including banking, e-commerce, and ticketing businesses. They found that the US websites face significant risks ahead of the busy holiday shopping season. The findings also highlighted that traditional CAPTCHAs aren’t effective in preventing automated attacks.


As per DataDome’s [report](https://datadome.co/resources/us-bot-security-report/) shared with Hackread.com ahead of publication on Tuesday, 72.3% of e-commerce websites and 65.2% of classified ad websites failed the bot tests, whereas 85% of DataDome’s fake Chrome bots remained undetected. 


Among the 2,587 websites featuring one [CAPTCHA tool](https://www.hackread.com/proton-captcha-privacy-captcha-defense-bots/), less than 5% could detect/block all bots. Interestingly, gambling sites were the most well-protected against [bot attacks](https://www.hackread.com/ticketmaster-taylor-swift-bot-attack/), with 31% blocking all the test bots. Only 10.2% successfully blocked all malicious bot requests.



[![](https://www.hackread.com/wp-content/uploads/2023/11/68-of-us-websites-exposed-to-bot-attack.jpg)](https://www.hackread.com/wp-content/uploads/2023/11/68-of-us-websites-exposed-to-bot-attack.jpg)


DataDome’s Head of Research, Antoine Vastel, referred to bots as “silent assassins”, [adding](https://www.prnewswire.com/news-releases/datadome-research-discovers-that-2-in-3-us-websites-are-unprotected-against-simple-bot-attacks-301998779.html) that bots are becoming sophisticated day-by-day and US businesses are unprepared for the “financial and reputational damage” bot attacks can cause. 


This, as per Vastel, includes threats like ticket scalping, inventory hoarding, and account fraud. Vastel explained that bad bots can wreak havoc on businesses and consumers, exposing them to “unnecessary risk.”


These findings highlight the urgent need for US businesses to enhance their bot protection measures. Here are 5 key points on how owners and administrators can protect their wbsites against bot attacks:






1. **Implement CAPTCHA and reCAPTCHA:** CAPTCHAs and reCAPTCHAs are effective tools for distinguishing between humans and bots. They can be used to prevent bots from submitting forms, signing up for accounts, or accessing restricted areas of your website.
2. **Use IP blacklisting:** IP blacklisting involves identifying and blocking IP addresses that are known to be associated with malicious activity. This can help to prevent bots from accessing your website altogether.
3. **Monitor website traffic:** By monitoring website traffic, you can identify patterns that may be indicative of bot activity. For example, if you see a sudden surge in traffic from a single IP address, this could be a sign that your website is under attack from a botnet.
4. **Implement rate limiting:** Rate limiting is a technique that can be used to limit the number of requests that a user can make to your website in a given period of time. This can help to prevent bots from overwhelming your website with requests.
5. **Use web application firewalls (WAFs):** WAFs are designed to protect websites from a variety of attacks, including bot attacks. They can be used to block malicious traffic and prevent bots from exploiting vulnerabilities in your website’s code.





## Tags:


### Autogenerated tags:
[[website]] [[websites]] [[datadome]] [[ip]] [[vastel]]
