# CAPTCHA-Breaking Services with Human Solvers Helping Cybercriminals Defeat Security
## Cybercriminals are breaking CAPTCHAs with ease! Discover the shocking truth behind the rise of CAPTCHA-breaking services
## Information:

+ Link: https://thehackernews.com/2023/05/captcha-breaking-services-with-human.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 May 2023, 17:46
+ Date scraped: 30 May 2023, 13:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi9ptgQMH4r-inPgxzghwTWBR7wLyG7QftOcVJKqx7UayqM56Kd-bYm4KIQmC-mn6Y267bHkv3YVYPIDyiWlpra45qngaOaI3A_fvleIQ5wRsNysqhF-KN5iwg1txXp_bzEytaSMyZw1xU_AwG3bm3aA6jcHCumAlbnPLl0hGoe55EfXsfxGAQ6N36e/s728-e3650/captcha.jpg)


Cybersecurity researchers are warning about CAPTCHA-breaking services that are being offered for sale to bypass systems designed to distinguish legitimate users from bot traffic.


"Because cybercriminals are keen on breaking CAPTCHAs accurately, several services that are primarily geared toward this market demand have been created," Trend Micro [said](https://www.trendmicro.com/en_us/research/23/e/abusing-web-services-using-automated-captcha-breaking-services-and-residential-proxies.html) in a report published last week.


"These CAPTCHA-solving services don't use [optical character recognition] techniques or advanced machine learning methods; instead, they break CAPTCHAs by farming out CAPTCHA-breaking tasks to actual human solvers."


[CAPTCHA](https://support.google.com/a/answer/1217728) – short for Completely Automated Public Turing test to tell Computers and Humans Apart – is a tool for differentiating real human users from automated users with the goal of combating spam and restricting fake account creation.


While CAPTCHA mechanisms can be a [disruptive user experience](https://blog.cloudflare.com/end-cloudflare-captcha/), they are seen as an effective means to counter attacks from bot-originating web traffic.


The illicit CAPTCHA-solving services work by funneling requests sent by customers and delegating them to their human solvers, who work out the solution and submit the results back to the users.


This, in turn, is achieved by calling an API to submit the CAPTCHA and invoking a second API to get the results.


[![CAPTCHA](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEikkPctWhi-9hjBBQnpiTONztPcVUFUQ1TBCSm-lb3Clb2Rl9HF9GgCoE15ag979TxB_SMM6odR-dqCPZ9XWij1wx-fH2zSV_6qzBM1lF3LjxunWNalygi3WRPflw4EFY2xe7qhkC6k1EUoBBiFX2nbnNEZsK886g-_upoLNu_K8e7kdL-z5NsfMjVf/s728-e365/domain.jpg)
"This makes it easy for the customers of CAPTCHA-breaking services to develop automated tools against online web services," security researcher Joey Costoya said. "And because actual humans are solving CAPTCHAs, the purpose of filtering out automated bot traffic through these tests are rendered ineffective."


That's not all. Threat actors have been observed purchasing CAPTCHA-breaking services and combining them with [proxyware offerings](https://thehackernews.com/2021/09/cybercriminals-abusing-internet-sharing.html) to obscure the originating IP address and evade antibot barriers.


 UPCOMING WEBINAR Zero Trust + Deception: Learn How to Outsmart Attackers! Discover how Deception can detect advanced threats, stop lateral movement, and enhance your Zero Trust strategy. Join our insightful webinar!

 [Join the Session](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
[Proxyware](https://www.trendmicro.com/en_us/research/23/b/hijacking-your-bandwidth-how-proxyware-apps-open-you-up-to-risk.html), although marketed as a utility to share a user's unused internet bandwidth with other parties in return for a "passive income," essentially turns the devices running them into residential proxies.


In one instance of a CAPTCHA-breaking service targeting popular social commerce marketplace Poshmark, the task requests emanating from a bot are routed via a proxyware network.


"CAPTCHAs are common tools used to prevent spam and bot abuse, but the increasing use of CAPTCHA-breaking services has made CAPTCHAs less effective," Costoya said. "While online web services can block abusers' originating IPs, the rise of proxyware adoption renders this method as toothless as CAPTCHAs."


To mitigate such risks, online web services are recommended to supplement CAPTCHAs and IP blocklisting with other anti-abuse tools.



  





## Tags:


### Autogenerated tags:
[[captchas]] [[captcha-breaking]] [[proxyware]] [[captcha]]
