# Researchers Expose Prolific Puma's Underground Link Shortening Service
## Meet "Prolific Puma," the secretive threat actor behind a dangerous link shortening service with thousands of malicious domains used for phishing.
## Information:

+ Link: https://thehackernews.com/2023/11/dns-abuse-exposes-prolific-pumas.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 01 November 2023, 20:25
+ Date scraped: 01 November 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjd3i7rGaCMd7Zve8stHtpeDdZCyBSi01as6VUlk_Ir7Xh91vBKxfewUD9iQ1TTx71IwEnj1hFE8NA6sXC_-xedullfhBbMQpM6isRo6xmGXi86F9X8xrCgudBErQ3baN4PNEFGxMEtHZLb-CehM8vA2Zty9wXLtcViIfFZtFDsZMnsfc0NhGqWApapyEti/s728-rw-ft-e30/link.jpg)


A threat actor known as **Prolific Puma** has been maintaining a low profile and operating an underground link shortening service that's offered to other threat actors for at least over the past four years.


Prolific Puma creates "domain names with an [RDGA](https://blogs.infoblox.com/cyber-threat-intelligence/rdgas-the-new-face-of-dgas/) [registered domain generation algorithm] and use these domains to provide a link shortening service to other malicious actors, helping them evade detection while they distribute phishing, scams, and malware," Infoblox [said](https://blogs.infoblox.com/cyber-threat-intelligence/prolific-puma-shadowy-link-shortening-service-enables-cybercrime/) in a new analysis pieced together from Domain Name System ([DNS)](https://en.wikipedia.org/wiki/Domain_Name_System) analytics.


With malicious actors known to use link shorteners for phishing attacks, the adversary plays an important role in the cybercrime supply chain, registering between 35,000 to 75,000 unique domain names since April 2022. Prolific Puma is also a [DNS threat actor](https://blogs.infoblox.com/cyber-threat-intelligence/introducing-dns-threat-actors/) for leveraging DNS infrastructure for nefarious purposes.


A notable aspect of the threat actor's operations is the use of an American domain registrar and web hosting company named NameSilo for registration and name servers due to its affordability and an API that facilitates bulk registration.


Prolific Puma, which does not advertise its shortening service on underground markets, has also been observed resorting to strategic aging to park registered domains for several weeks prior to hosting their service with anonymous providers.


"Prolific Puma domains are alphanumeric, pseudo-random, with variable length, typically 3 or 4 characters long, but we have also observed SLD labels as long as 7 characters," Infoblox explained.


Furthermore, the threat actor has registered thousands of domains in the U.S. top-level domain ([usTLD](https://en.wikipedia.org/wiki/Top-level_domain)) since May 2023, repeatedly using an email address containing a reference to the song OCT 33 by a psychedelic soul band called [Black Pumas](https://en.wikipedia.org/wiki/Black_Pumas): blackpumaoct33@ukr[.]net.


[![Link Shortening Service](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEih1mBkIyIZ5EfxboiVF0-QRnSc6e1Hxw8oO9FJ9a40RC6nTOWDuU9j5onGy9k-YGUKB7blbhnBHNSJVw-n0uEf4bd4nl4bMr3pHCmQk9BUpQpWedITYurYwkkdXaddckpmVJZEw4rIAsD3pXmyY8OabjSaPuoYSLFWiZz8iENZb4a8c4AGfji1gAm4IyAe/s728-rw-ft-e30/info.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEih1mBkIyIZ5EfxboiVF0-QRnSc6e1Hxw8oO9FJ9a40RC6nTOWDuU9j5onGy9k-YGUKB7blbhnBHNSJVw-n0uEf4bd4nl4bMr3pHCmQk9BUpQpWedITYurYwkkdXaddckpmVJZEw4rIAsD3pXmyY8OabjSaPuoYSLFWiZz8iENZb4a8c4AGfji1gAm4IyAe/s728-rw-ft-e30/info.jpg)
The real-world identity and origins of Prolific Puma remains unknown as yet. That said, multiple threat actors are said to be using the offering to take visitors to phishing and scam sites, CAPTCHA challenges, and even other shortened links created by a different service.


In one instance of a phishing-cum-malware attack documented by Infoblox, victims clicking on a shortened link are taken to a landing page that requests them to provide personal details and make a payment, and ultimately infect their systems with browser plugin malware.


The disclosure comes weeks after the company exposed another persistent DNS threat actor codenamed [Open Tangle](https://blogs.infoblox.com/cyber-threat-intelligence/open-tangle-creates-a-phishing-net-for-consumers/) that leverages a large infrastructure of lookalike domains of legitimate financial institutions to target consumers for phishing and smishing attacks.


"Prolific Puma demonstrates how the DNS can be abused to support criminal activity and remain undetected for years," it said.


Kopeechka Hacking Tool Floods Online Platforms with Bogus Accounts[#](#kopeechka-hacking-tool-floods-online-platforms-with-bogus-accounts)
------------------------------------------------------------------------------------------------------------------------------------------


The development also follows a new report from Trend Micro, which found that lesser-skilled cybercriminals are using a new tool called **Kopeechka** (meaning "penny" in Russian) to automate the creation of hundreds of fake social media accounts in just a few seconds.


"The service has been active since the beginning of 2019 and provides easy account registering services for popular social media platforms, including Instagram, Telegram, Facebook, and X (formerly Twitter)," security researcher Cedric Pernet [said](https://www.trendmicro.com/en_us/research/23/j/how-kopeechka--an-automated-social-media-accounts-creation-servi.html).


Kopeechka provides two types of different email addresses to help with the mass-registration process: email addresses hosted in 39 domains owned by the threat actor and those that are hosted on more popular email hosting services such as Gmail, Hotmail, Outlook, Rambler, and Zoho Mail.


"Kopeechka does not actually provide access to the actual mailboxes," Pernet explained. "When users request for mailboxes to create social media accounts, they only get the email address reference and the specific email that contains the confirmation code or URL."


It's suspected that these email addresses are either compromised or created by the Kopeechka actors themselves.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiKMsT2B1ZSLFNQCUwXAnkOmPB4aHqFL6uBdEDaQGI6w4BKJuIV852IXByo9I-IfVcXj4GtsVsUL4HfJ896ieO5Ws3_AOupDPevChyuxs6yThjQw_VGDmLgHQPf2c2a9oZNC1j4VIjrb2vaYU4lA8PqjZfWTsXNFF6L2cLluwpCkYQI9xQF1U8J3V5wUtDO/s728-rw-ft-e30/trend.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiKMsT2B1ZSLFNQCUwXAnkOmPB4aHqFL6uBdEDaQGI6w4BKJuIV852IXByo9I-IfVcXj4GtsVsUL4HfJ896ieO5Ws3_AOupDPevChyuxs6yThjQw_VGDmLgHQPf2c2a9oZNC1j4VIjrb2vaYU4lA8PqjZfWTsXNFF6L2cLluwpCkYQI9xQF1U8J3V5wUtDO/s728-rw-ft-e30/trend.jpg)
With online services incorporating phone number verification to complete registration, Kopeechka enables its customers to choose from 16 different online SMS services, most of which originate from Russia.


Besides accelerating cybercrime and equipping threat actors to launch full-fledged operations at scale, such tools – created as part of the "as-a-service" business model – highlight the professionalization of the criminal ecosystem.


"Kopeechka's services can facilitate an easy and affordable way to mass-create accounts online, which could be helpful to cybercriminals," Pernet said.


"While Kopeechka is mainly used for multiple accounts creation, it can also be used by cybercriminals who want to add a degree of anonymity to their activities, as they do not need to use any of their own email addresses to create accounts on social media platforms."


  





## Tags:
***email-adresses***: blackpumaoct33@ukr.net
***urls***: http://ukr.net

### Autogenerated tags:
[[kopeechka]] [[dns]] [[phishing]] [[infoblox]] [[cybercriminals]] [[pernet]]
