# AI Auctions: Collectibles, Taylor Swift, Jordan Bots
## Discover the fascinating world of AI, ML, and RPA and their real-world applications including the creation of a custom RPA bot for collecting rare sports memorabilia.
## Information:

+ Link: https://www.trendmicro.com/en_us/research/24/c/ai-auctions.html
+ Source: Trend Micro
+ Author: David Chow
+ Date published: 06 March 2024, 00:00
+ Date scraped: 08 March 2024, 20:24

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/24/ai-auctions.jpg)






In our last discussion, we laid the groundwork for understanding AI, ML, and RPA. This time, let's dive deeper into practical applications, starting with my initial forays into RPA in 2002, and leading up to significant events such as the [Taylor Swift ticketing fiasco](https://www.bbc.com/news/entertainment-arts-64384304) that drew attention from the US Congress.


Early Adventures with RPA Bots


My journey began in the early 2000s, as a memorabilia collector facing the challenge of acquiring rare items affordably. This led to experimenting with RPA, where my brother and I developed a bot that went beyond conventional search engine capabilities.


Creating a Custom RPA Bot


This bot was engineered to outmaneuver online retailers. Unlike standard search engines that rely on meta tags or indexes, our bot was designed to detect and access hidden product pages using a predictive algorithm. It would silently crawl these pages, searching for specified terms without opening a browser. Hits were logged in a TXT file for review. This lightweight, low-resource bot exemplified the potential of RPA in streamlining specific tasks.






![Muumuu Homer and the Collector from Kendrick's shelf](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/24/c/navigating-ai-world--collectible,-taylor-swift-tickets,-jordan-bots/homer-and-the-collector.jpg)

Muumuu Homer and the Collector from Kendrick's shelf








The Rise of Retail Bots


Over time, the landscape saw the emergence of niche-targeted bots, although these lacked the advanced features of AI or ML. Two prominent examples are the [Sneaker Bot](https://queue-it.com/blog/how-do-sneaker-bots-work/) and the [PlayStation 5 Bot](https://builtin.com/gaming/free-ps5-bot) which automated the process of monitoring and purchasing limited release products.


The Taylor Swift Eras Tour Ticket Debacle


The Taylor Swift ticket situation highlighted a significant issue in the online ticketing industry. [Scalper bots](https://queue-it.com/blog/scalping-bots/) were programmed to buy large quantities of concert tickets the moment they became available online. These bots could bypass CAPTCHA tests and simulate human buying behavior, making them hard to detect. They were capable of executing multiple transactions simultaneously, which overwhelmed ticketing systems, leading to rapid sellouts and site crashes. This not only deprived genuine fans of purchasing opportunities but also inflated the secondary market prices as scalpers resold tickets at exorbitant rates.


Combating Bots in Online Retail


Online retailers and ticketing companies have implemented combination of various strategies to combat bot activities:


1. ***CAPTCHA Tests*:** These are challenges that are easy for humans but difficult for bots, like identifying objects in images or solving puzzles. This helps in filtering out automated bot traffic.
2. ***Purchase Limits*:** Retailers set limits on the number of items a customer can buy in a single transaction, which discourages bulk buying by bots.
3. ***Advanced User Verification*:** Utilizing two-factor authentication (2FA) during purchases adds an extra layer of security, making it harder for bots to complete transactions.
4. ***Analyzing Purchasing Behavior*:** Retailers monitor for patterns typical of bots, such as high-speed transactions and repeated buying patterns, to identify and block suspicious activities.
5. ***IP Address Tracking*:** Multiple purchases from the same IP address are flagged or blocked, as this is often a sign of bot activity.
6. ***Machine Learning Algorithms*:** These algorithms are employed to dynamically identify and block bot activities by learning and adapting to new bot strategies.
7. ***Regularly Updating Security Protocols*:** Continuous updates to security measures are crucial to stay ahead of evolving bot strategies.
8. ***Delayed Release of Inventory*:** Some retailers release their inventory in waves to prevent bots from buying up everything at once.
9. ***Hidden URLs*:** Retailers sometimes use undisclosed URLs for high-demand products, only revealing them to genuine customers.
10. ***Browser Fingerprinting*:** This technique identifies and tracks users based on their browser and device characteristics, helping to differentiate between genuine customers and bots.


Looking Ahead


Next, I will explore the application of AI, ML, and RPA in solving complex business challenges, drawing from my experiences at the Department of Housing and Urban Development. We'll delve into how these technologies can transform organizational processes, tackle legacy technology issues, and drive mission-critical objectives.


For more resources about AI, click [here](https://www.trendmicro.com/en_us/research.html?category=trend-micro-research:threats/artificial-intelligence-ai)








## Tags:


### Autogenerated tags:
[[rpa]]
