# Never-before-seen malware has infected hundreds of Linux and Windows devices
## Small office routers? FreeBSD machines? Enterprise servers? Chaos infects them all.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/09/never-before-seen-malware-has-infected-hundreds-of-linux-and-windows-devices/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 28 September 2022, 23:48
+ Date scraped: 29 September 2022, 00:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2020/10/malware-760x380.jpg)







Researchers have revealed a never-before-seen piece of cross-platform malware that has infected a wide range of Linux and Windows devices, including small office routers, FreeBSD boxes, and large enterprise servers.


Black Lotus Labs, the research arm of security firm Lumen, is calling the malware Chaos, a word that repeatedly appears in function names, certificates, and file names it uses. Chaos emerged no later than April 16, when the first cluster of control servers went live in the wild. From June through mid-July, researchers found hundreds of unique IP addresses representing compromised Chaos devices. Staging servers used to infect new devices have mushroomed in recent months, growing from 39 in May to 93 in August. As of Tuesday, the number reached 111.


Black Lotus has observed interactions with these staging servers from both embedded Linux devices as well as enterprise servers, including one in Europe that was hosting an instance of GitLab. There are more than 100 unique samples in the wild.


"The potency of the Chaos malware stems from a few factors," Black Lotus Labs researchers wrote in a Wednesday morning [blog post](https://blog.lumen.com/chaos-is-a-go-based-swiss-army-knife-of-malware/). "First, it is designed to work across several architectures, including: ARM, Intel (i386), MIPS and PowerPC—in addition to both Windows and Linux operating systems. Second, unlike largescale ransomware distribution botnets like Emotet that leverage spam to spread and grow, Chaos propagates through known CVEs and brute forced as well as stolen SSH keys."


CVEs refer to the mechanism used to track specific vulnerabilities. Wednesday's report referred to only a few, including CVE-2017-17215 and CVE-2022-30525 affecting firewalls sold by Huawei, and CVE-2022-1388, an [extremely severe vulnerability](https://arstechnica.com/information-technology/2022/05/hackers-are-actively-exploiting-big-ip-vulnerability-with-a-9-8-severity-rating/) in load balancers, firewalls, and network inspection gear sold by F5. SSH infections using password brute-forcing and stolen keys also allow Chaos to spread from machine to machine inside an infected network.
Chaos also has various capabilities, including enumerating all devices connected to an infected network, running remote shells that allow attackers to execute commands, and loading additional modules. Combined with the ability to run on such a wide range of devices, these capabilities have lead Black Lotus Labs to suspect Chaos "is the work of a cybercriminal actor that is cultivating a network of infected devices to leverage for initial access, DDoS attacks and crypto mining," company researchers said.


Black Lotus Labs believes Chaos is an offshoot of [Kaiji](https://www.trendmicro.com/en_us/research/20/f/xorddos-kaiji-botnet-malware-variants-target-exposed-docker-servers.html), a piece of botnet software for Linux-based AMD and i386 servers for performing DDoS attacks. Since coming into its own, Chaos has gained a host of new features, including modules for new architectures, the ability to run on Windows, and the ability to spread through vulnerability exploitation and SSH key harvesting.


Infected IP addresses indicate that Chaos infections are most heavily concentrated in Europe, with smaller hotspots in North and South America, and Asia Pacific.


![](https://cdn.arstechnica.net/wp-content/uploads/2022/09/chaos-bot-geography.png)Black Lotus Labs


Black Lotus Labs researchers wrote:



> Over the first few weeks of September, our Chaos host emulator received multiple DDoS commands targeting roughly two dozen organizations’ domains or IPs. Using our global telemetry, we identified multiple DDoS attacks that coincide with the timeframe, IP and port from the attack commands we received. Attack types were generally multi-vector leveraging UDP and TCP/SYN across multiple ports, often increasing in volume over the course of multiple days. Targeted entities included gaming, financial services and technology, media and entertainment, and hosting. We even observed attacks targeting DDoS-as-a-service providers and a crypto mining exchange. Collectively, the targets spanned EMEA, APAC and North America.
> 
> 
> One gaming company was targeted for a mixed UDP, TCP and SYN attack over port 30120. Beginning September 1 – September 5, the organization received a flood of traffic over and above its typical volume. A breakdown of traffic for the timeframe before and through the attack period shows a flood of traffic sent to port 30120 by approximately 12K distinct IPs – though some of that traffic may be indicative of IP spoofing.
> 
> 
> [![](https://cdn.arstechnica.net/wp-content/uploads/2022/09/Figure10_Gaming_DDoS_vf-640x198.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/09/Figure10_Gaming_DDoS_vf.png)Black Lotus Labs
> 
> 
> A few of the targets included DDoS-as-a-service providers. One markets itself as a premier IP stressor and booter that offers CAPTCHA bypass and “unique” transport layer DDoS capabilities. In mid-August, our visibility revealed a massive uptick in traffic roughly four times higher than the highest volume registered over the prior 30 days. This was followed on September 1 by an even larger spike of more than six times the normal traffic volume.
> 
> 
> [![DDoS-as-a-service organization incoming attack volume](https://cdn.arstechnica.net/wp-content/uploads/2022/09/Figure11_DDoSaaS_Attack-640x199.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/09/Figure11_DDoSaaS_Attack.png) / DDoS-as-a-service organization incoming attack volumeBlack Lotus Labs
> 
> 


The two most important things people can do to prevent Chaos infections are to keep all routers, servers, and other devices fully updated and to use strong passwords and FIDO2-based multifactor authentication whenever possible. A reminder to small office router owners everywhere: Most router malware can't survive a reboot. Consider restarting your device every week or so. Those who use SSH should always use a cryptographic key for authentication.














## Tags:
***CVE's***: CVE-2022-30525 CVE-2022-1388 CVE-2017-17215

### Autogenerated tags:
[[ip]] [[ddos]] [[malware]] [[ssh]] [[linux]] [[windows]] [[ddos-as-a-service]]
