# Adobe Acrobat Sign abused to push Redline info-stealing malware
## Cybercriminals are abusing Adobe Acrobat Sign, an online document signing service, to distribute info-stealing malware to unsuspecting users.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/adobe-acrobat-sign-abused-to-push-redline-info-stealing-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 16 March 2023, 18:45
+ Date scraped: 16 March 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2019/12/10/Adobe-Hack-Security-Update.jpg)



Cybercriminals are abusing Adobe Acrobat Sign, an online document signing service, to distribute info-stealing malware to unsuspecting users.


The service is being abused to send malicious emails that originate from the software company to bypass security protections and trick recipients into trusting the received email.


The strategy of abusing legitimate services isn't new. Similar cases seen recently include the abuse of [PayPal invoices](https://safecomputing.umich.edu/phishing-alerts/paypal-invoice-scam-subjects-may-vary-2022-05-11-000000), [Google Docs comments](https://www.bleepingcomputer.com/news/security/google-docs-commenting-feature-exploited-for-spear-phishing/), and more.


This new trend in cybercrime was reported by researchers at [Avast](https://blog.avast.com/adobe-acrobat-sign-malware), who warn about its effectiveness in bypassing security layers and tricking the targets.


## Abusing legitimate services


Adobe Acrobat Sign is a free-to-try cloud-based e-signature service allowing users to send, sign, track, and manage electronic signatures.


Threat actors register with the service and abuse it to send messages to target email addresses, which link to a document (DOC, PDF, or HTML) hosted on Adobe's servers ("eu1.documents.adobe.com/public/").


The documents contain a link to a website that requests visitors to solve a CAPTCHA to add legitimacy and then serve them a ZIP archive that includes a copy of the Redline information stealer.


Redline is a dangerous malware capable of stealing account credentials, cryptocurrency wallets, credit cards, and other information stored on the breached device.


Avast has also spotted highly targeted attacks employing this method, like in one case where the target owned a popular YouTube channel with many subscribers.


Clicking on the link of the specifically-crafted message sent via Adobe Acrobat Sign took the victim to a document claiming music copyright infringement, a common and believable theme for YouTube channel owners.



![Fake copyright infringement message](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/7/cop-infr.png)**Fake copyright infringement message** *(Avast)*


This time, the document was hosted on dochub.com, a legitimate online document signing platform.



![Document containing the malicious link](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/7/yt-doc.png)**Document containing the malicious link** *(Avast)*


The link in the document leads to the same CAPTCHA-protected website that drops a copy of Redline.


In this case, however, the ZIP also contained several non-malicious executables from the GTA V game, likely an attempt to trick AV tools by mixing the payload with innocuous files.


Avast also reports that the Redline payload was artificially inflated to 400MB in both cases, which, again, helps protect from anti-virus scans. This same method was used in recent [Emotet malware phishing campaigns](https://www.bleepingcomputer.com/news/security/emotet-malware-attacks-return-after-three-month-break/).


Phishing actors are constantly looking for legitimate services that [can be abused](https://www.bleepingcomputer.com/news/security/phishing-attacks-abusing-saas-platforms-see-a-massive-1-100-percent-growth/) to promote their malicious emails, as these services help increase their inbox delivery and phishing success rates.


Avast has shared all details of its findings with Adobe and dochub.com, and hopefully, the two services will find a way to stop abuse from malware operators.





## Tags:


### Autogenerated tags:
[[malware]] [[phishing]]
