# Attackers deliver legal threats, IcedID malware via contact forms
## Threat actors are using legitimate corporate contact forms to send phishing emails that threaten enterprise targets with lawsuits and attempt to infect them with the IcedID info-stealing malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/attackers-deliver-legal-threats-icedid-malware-via-contact-forms/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 April 2021, 13:55
+ Date scraped: 12 December 2023, 14:43

## Article:
![Main article image](https://www.bleepstatic.com/content/posts/2021/04/09/Malware-Ice.jpg)



Threat actors are using legitimate corporate contact forms to send phishing emails that threaten enterprise targets with lawsuits and attempt to infect them with the IcedID info-stealing malware.


[IcedID](https://malpedia.caad.fkie.fraunhofer.de/details/win.icedid) is a modular banking trojan [first spotted](https://securityintelligence.com/new-banking-trojan-icedid-discovered-by-ibm-x-force-research/) in 2017 and updated to also deploy second-stage malware payloads, including Trickbot, Qakbot, and Ryuk ransomware.


Its operators can use it to download additional modules after infecting a device, steal credentials and financial information, and move laterally across the victims' networks to compromise more computers and deploy more payloads.


Contact forms used to evade detection
-------------------------------------


Recently detected by the Microsoft 365 Defender Threat Intelligence Team, this phishing campaign seems to have found a way to bypass contact forms' CAPTCHA protection to flood enterprises with a barrage of phishing messages.


Microsoft threat intelligence analysts Emily Hacker and Justin Carroll observed "an influx of contact form emails targeted at enterprises by means of abusing companies’ contact forms."


"This indicates that attackers may have used a tool that automates this process while circumventing CAPTCHA protections," the Microsoft threat analysts said.


Using this phishing method, the attackers bypass the targeted enterprise's secure email gateways, significantly increasing their phishing messages' chance of landing in a target's inbox instead of getting flagged and sent to the spam folder.



![Contact form phishing email](https://www.bleepstatic.com/images/news/u/1109292/2021/Contact-form-phishing-email.png)**Contact form phishing email** (*Microsoft*)


To further increase their attacks' efficiency, the threat actors threaten their targets with legal action for copyright infringements to pressure them into clicking embedded links directing them to IcedID payloads.


The recipients are told to click on an embedded link to review the attackers' "evidence" but are instead redirected to a Google Sites-hosted website used to deliver the IcedID malware.


The targets are then asked to log in using their Google accounts to see the content. After logging, an archive containing a heavily obfuscated .js-based downloader is downloaded on their computers.


An IcedID payload and a Cobalt Strike beacon are then downloaded on the compromised device using WScript and Powershell.



![Attack chain](https://www.bleepstatic.com/images/news/u/1109292/2021/Attack-chain.png)**Attack chain** (*Microsoft*)


"While this specific campaign delivers the IcedID malware, the delivery method can be used to distribute a wide range of other malware, which can in turn introduce other threats to the enterprise," the Microsoft analysts [added](https://www.microsoft.com/security/blog/2021/04/09/investigating-a-unique-form-of-email-delivery-for-icedid-malware/).


"This threat shows attackers are always on the hunt for attack paths for infiltrating networks, and they often target services exposed to the internet. Organizations must ensure they have protections against such threats."


Cisco Talos researchers [discovered a similar campaign](https://blog.talosintelligence.com/2020/09/salfram-robbing-place-without-removing.html) in September 2020 using legitimate contact forms to send phishing emails to distribute various malware payloads, including Gozi ISFB, ZLoader, SmokeLoader, and AveMaria.


After the [disruption of Emotet's network](https://www.bleepingcomputer.com/news/security/emotet-botnet-disrupted-after-global-takedown-operation/) in January, IcedID malicious activity has surged slowly, filling the gap left behind by Emotet, according to research from [Awake Security](https://awakesecurity.com/blog/detecting-icedid-and-cobalt-strike-beacon-with-network-detection-and-response/) and [Uptycs](https://www.uptycs.com/blog/icedid-campaign-spotted-being-spiced-with-excel-4-macros).





## Tags:


### Autogenerated tags:
[[phishing]] [[icedid]] [[malware]] [[microsoft]] [[emails]]
