# Phishing websites now use chatbots to steal your credentials
## Threat analysts have observed a new trend in the phishing space which is to incorporate interactive chatbots on sites that guide visitors through the process of losing their sensitive data.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/phishing-websites-now-use-chatbots-to-steal-your-credentials/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 19 May 2022, 13:00
+ Date scraped: 19 May 2022, 13:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/19/robot-laptop.jpg)



Phishing attacks are now using automated chatbots to guide visitors through the process of handing over their login credentials to threat actors.


This approach automates the process for the attackers and gives a sense of legitimacy to the visitors of the malicious sites, as chatbots are commonly found on websites for legitimate brands.


This new development in phishing attacks was discovered by researchers at Trustwave, who shared the report with Bleeping Computer before publication.


## Starts with an email


The phishing process begins with an email claiming to contain information about the delivery of a parcel, masquerading as the DHL shipping brand.



![Phishing email sample](https://www.bleepstatic.com/images/news/u/1220909/Phishing/message(1).png)**Phishing email sample** *(Trustwave)*
Clicking on the button loads a PDF file that contains links to the phishing site. The threat actors display the phishing links in the PDF document to bypass email security software.



![Downloadable PDF containing the malicious links](https://www.bleepstatic.com/images/news/u/1220909/Phishing/dhl-pdf.png)**Downloadable PDF containing the malicious links**  
*(Trustwave)*
However, the URL button (or the link) in the PDF takes the victim to a phishing site (dhiparcel-management[.]support-livechat[.]24mhd[.]com) where they are supposed to resolve issues causing a package to be undeliverable.


This is where the chatbot takes over.


## A chatbot steals your credentials


When the phishing page loads, visitors are greeted with a webchat explaining why the package could not be delivered instead of being shown a fake login form commonly used to steal credentials.


This webchat explains that the package's label was damaged, preventing its delivery. The webchat also displays a photo of the alleged package to add more legitimacy to the scam.



![Chatbot on the phishing site](https://www.bleepstatic.com/images/news/u/1220909/Phishing/chatbot.png)**Chatbot on the phishing site** *(Trustwave)*
This virtual assistant offers pre-defined responses for the visitor, so the conversation is fixed, always leading to showing a photograph of the alleged package featuring a damaged label.


Due to this problem, the chatbot requests the victim to give their personal details such as home or business address, full name, phone number, etc.


After that, the delivery is supposedly scheduled, and a bogus CAPTCHA step is added to act as one more false send of legitimacy to the phishing page.


Next, the victim is redirected to a phishing page that requires entering DHL account credentials and finally, leading to a payment step, supposedly to cover the shipping costs.


The final "Secure Pay" page contains the typical credit card payment fields, including cardholder name, card number, expiration date, and the CVV code.



![Credit card payment field](https://www.bleepstatic.com/images/news/u/1220909/Phishing/payment.png)**Credit card payment field** *(Trustwave)*
When the details are entered and the "Pay Now" button is clicked, the victim receives a one-time password (OTP) on the provided mobile phone number via SMS, which once again, adds to the sense of legitimacy.



![One-time password verification screen](https://www.bleepstatic.com/images/news/u/1220909/Phishing/otp.png)**One-time password verification screen** *(Trustwave)*
Trustwave's analysts tested entering random characters, and the system returned an error about an invalid security code, so the implementation of the OTP verification is real.


If the correct code is entered, the fake page serves a "Thank you!" message and confirms that the submission has been received.


## Campaigns getting more "genuine"


Threat actors are increasingly using mechanisms generally found in real websites, like CAPTCHAs, OTPs, and now even chatbots, making it hard for victims to spot attempts to steal their information.


This calls for greater vigilance when receiving unsolicited communications that request your immediate action, especially if these messages contain embedded buttons and URL links.


If DHL or any other shipping service requires your action, you should always open the real website on a new browser tab instead of clicking on the provided links.


From there, log in to your account on the platform, and check for any pending items or alerts. Alternatively, contact a customer support agent yourself.


As always, the best way to spot a phishing page is to examine the URL for the website. If it looks suspicious at all or does not match the legitimate domain, do not enter any personal information into the page.


In this case, the spoofed DHL URL ends with the domain "24mhd.com," which is clearly not the DHL websites and is a clear sign of a phishing attempt.





## Tags:
***urls***: http://dhiparcel-management.support-livechat.24mhd.com

### Autogenerated tags:
[[phishing]] [[trustwave]] [[dhl]] [[pdf]] [[url]] [[chatbot]] [[chatbots]] [[websites]] [[webchat]]
