# Threat actors abuse Google AMP for evasive phishing attacks
## Security researchers are warning of increased phishing activity that abuses Google Accelerated Mobile Pages (AMP) to bypass email security measures and get to inboxes of enterprise employees.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/threat-actors-abuse-google-amp-for-evasive-phishing-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 01 August 2023, 13:43
+ Date scraped: 01 August 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/23/phishing-hook.jpg)



Security researchers are warning of increased phishing activity that abuses Google Accelerated Mobile Pages (AMP) to bypass email security measures and get to inboxes of enterprise employees.


Google AMP is an open-source HTML framework co-developed by Google and 30 partners to make web content load faster on mobile devices.


AMP pages are hosted on Google’s servers, where content is simplified and some of the heavier media elements are pre-loaded for faster delivery.


The idea behind using Google AMP URLs embedded in phishing emails is to make sure that email protection technology does not flag messages as malicious or suspicious due to Google’s good reputation.


The AMP URLs trigger a redirection to a malicious phishing site, and this additional step also adds an analysis-disrupting layer.



![Google AMP redirection to a phishing site](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/13/redirection.jpg)**Google AMP redirection to a phishing site** *(Cofense)*


Data from anti-phishing protection company Cofense shows that the volume of phishing attacks employing AMP spiked spiked significantly towards mid-July, suggesting that threat actors may be adopting the method.



![Phishing emails abusing Google AMP](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/13/phishing-volume.jpg)**Phishing emails leveraging Google AMP for stealth** *(Cofense)*


“Out of all the Google AMP URLs we have observed, approximately 77% were hosted on the domain google.com, and 23% were hosted on the domain google.co.uk,” [explains Cofense in the report](https://cofense.com/blog/google-amp-the-newest-of-evasive-phishing-tactic/).


Although the “google.com/amp/s/” path is common in all cases, blocking this would also impact all legitimate cases of using Google AMP. However, flagging them may be the most appropriate action, to at least alert recipients to be wary of potentially malicious redirections.


## Extra stealth


Cofense says the phishing actors who abuse the Google AMP service also employ a range of additional techniques that collectively help evade detection and increase their success rate.


For example, in many cases observed by Cofense, the threat actors used image-based HTML emails instead of a traditional text body. This is to confuse text scanners that look for common phishing terms in the message content.



![Image-based phishing email](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/13/phishing-email.jpg)**Image-based phishing email** *(Cofense)*


In another example, the attackers used an extra redirection step, abusing a Microsoft.com URL to take the victim to a Google AMP domain and eventually to the actual phishing site.



![Microsoft redirection to a Google AMP site](https://www.bleepstatic.com/images/news/u/1220909/2023/Phishing/13/ms-redirection.jpg)**Microsoft redirection to a Google AMP site** *(Cofense)*


Finally, attackers employed Cloudflare’s CAPTCHA service to thwart automated analysis of the phishing pages by security bots, preventing the crawlers from reaching them.


All in all, phishing actors today employ multiple detection-evading methods that make it increasingly difficult for targets and security tools to catch the threats and block them.





## Tags:


### Autogenerated tags:
[[google]] [[phishing]] [[cofense]] [[urls]] [[emails]]
