# VexTrio TDS: Inside a massive 70,000-domain cybercrime operation
## A previously unknown traffic distribution system (TDS) named 'VexTrio' has been active since at least 2017, aiding 60 affiliates in their cybercrime operations through a massive network of 70,000 sites.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/vextrio-tds-inside-a-massive-70-000-domain-cybercrime-operation/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 24 January 2024, 14:46
+ Date scraped: 24 January 2024, 20:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/01/12/Hackers.jpg)



A previously unknown traffic distribution system (TDS) named 'VexTrio' has been active since at least 2017, aiding 60 affiliates in their cybercrime operations through a massive network of 70,000 sites.


Traffic Distribution Systems (TDS) are services that take incoming traffic and redirect the user to another website depending on the visitor's operating system, IP address, device, geographic region, and other criteria.


For legitimate reasons, a TDS is commonly used in affiliate marketing. However, in cybercrime, they redirect unsuspecting users to malicious destinations like phishing pages, exploit kits, and malware-dropping sites.


One such case is Parrot TDS, highlighted recently in a [Unit 42 report](https://www.bleepingcomputer.com/news/security/malicious-web-redirect-scripts-stealth-up-to-hide-on-hacked-sites/) that presented evidence of the operation remaining active and developing.


A new [report by Infoblox](https://blogs.infoblox.com/cyber-threat-intelligence/cybercrime-central-vextrio-operates-massive-criminal-affiliate-program/) focuses on a much larger-scale TDS operation named VexTrio, which works with notorious cybercrime campaigns and operators like [ClearFake](https://www.bleepingcomputer.com/news/security/hundreds-of-us-news-sites-push-malware-in-supply-chain-attack/) and [SocGholish](https://www.bleepingcomputer.com/news/security/hackers-use-binance-smart-chain-contracts-to-store-malicious-scripts/), among others.


![Vextrio](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/02/generic-diagram.jpg)


Serving cybercrime since 2017
-----------------------------


VexTrio has been identified by Infoblox as a highly pervasive entity within the cybercrime landscape, commanding a massive network that plays a central role in the distribution of malicious content.


VexTrio controls over 70,000 compromised sites, a testament to its extensive reach, enabling the platform to distribute malicious content to visitors across a wide array of websites and services.


Typically, sites are hacked to inject malicious redirection scripts into the HTML of vulnerable sites. In other cases, the threat actors simply create their own websites and utilize blackhat SEO tactics to generate traffic.


The platform acts as an intermediary traffic broker in exchange for money from cybercrime groups, redirecting visitors of the sites under its control to customers' malicious destinations.


VexTrio also extends its reach by partnering with at least 60 entities, or affiliates, who forward traffic from their resources, such as compromised websites, to VexTrio's TDS servers.



![Operational diagram](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/02/operation.jpg)**Operational diagram**  
*Source: Infoblox*


Infoblox notes that these partnerships do not appear short-lived, as they observed cases that extended for up to four years, showing a high level of trust and mutual benefit.


One of VexTrio's partners is [ClearFake](https://rmceoin.github.io/malware-analysis/clearfake/), a malware campaign that displays prompts on hacked sites telling visitors to install fake browser updates, which [install malware on the device](https://www.bleepingcomputer.com/news/security/atomic-stealer-malware-strikes-macos-via-fake-browser-updates/). 


ClearFake has been a VexTrio affiliate for five months, but instead of directly forwarding traffic to the platform's TDS servers, it uses the Keitaro service as an intermediate redirection point.


The [SocGholish malware campaign](https://www.bleepingcomputer.com/news/security/dozens-of-us-news-sites-hacked-in-wastedlocker-ransomware-attacks/) has also collaborated with VexTrio since at least April 2022, according to Infoblox, also relying on the Keitaro TDS service for a midpoint bounce. Historically, SocGholish [was used by ransomware gangs](https://www.bleepingcomputer.com/news/security/new-wastedlocker-ransomware-distributed-via-fake-program-updates/) to gain initial access to corporate networks.



![Fake SocGholish browser update prompt](https://www.bleepstatic.com/images/news/security/attacks/d/domen/chrome-browser-update.jpg)**Fake SocGholish browser update prompt**  
*Source: BleepingComputer*


The variety and complexity in the attack chains, which involved multiple threat actors, make VexTrio activity hard to map, detect, and mitigate.


Diverse revenue sources
-----------------------


Moreover, the analysts have found that VexTrio and its affiliates often abuse referral programs from legitimate platforms to generate revenue by redirecting victims to trusted sites via affiliate links.


By intertwining their operations with legitimate services, VexTrio and its affiliates make it more challenging for both users and security systems to discern their malicious activities.


Infoblox's report highlights a cunning and deceptive VexTrio campaign named 'robot CAPTCHA,' which the group uses in its referral generation efforts.


In this campaign, users visiting compromised sites are redirected to what appears as a legitimate CAPTCHA test, which tricks the user into clicking an 'Allow' button, inadvertently granting the website permission to send push notifications through the user's browser.


Then, VexTrio's servers can push bogus notifications to the victim anytime, masquerading as system warnings, AV alerts, and other seemingly credible alerts. VexTrio even ensures those alerts are in the correct language by using JS modules to dynamically adjust the language based on the user's browser data.



![Fake VexTrio notification](https://www.bleepstatic.com/images/news/u/1220909/2024/WordPress/02/notification.png)**Fake VexTrio notification**  
*Source: Infoblox*


Clicking on the deceptive notifications may lead victims to landing pages that generate referral revenue for VexTrio.


Considering the complexity, resilience, and diversity in revenue streams and infection chains, VexTrio will be very hard to eradicate, although identifying and mapping its sites is a solid first step.


Infoblox suggests that users mitigate the threat by limiting their browsing only to SSL-certified sites, blocking push notifications on their browsers, and using ad-blocking tools that can prevent popup ads from loading.





## Tags:


### Autogenerated tags:
[[vextrio]] [[tds]] [[infoblox]] [[cybercrime]] [[socgholish]] [[clearfake]] [[websites]] [[malware]]
