# Zoho patches actively exploited critical ADSelfService Plus bug
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) is warning that hackers are exploiting a critical vulnerability in Zoho's ManageEngine ADSelfService Plus password management solution that allows them to take control of the system.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/zoho-patches-actively-exploited-critical-adselfservice-plus-bug/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 08 September 2021, 15:36
+ Date scraped: 11 December 2023, 14:53

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/08/ZohoADSelfServicePlus.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) is warning that hackers are exploiting a critical vulnerability in Zoho’s ManageEngine ADSelfService Plus password management solution that allows them to take control of the system.


ADSelfService Plus is aimed at larger organizations that need an integrated self-service password management for and single sign-on solution for Active Directory and cloud apps.


### Exploits detected in the wild


The security issue is identified as [CVE-2021-40539](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-40539). It is considered critical as it can allow a remote, unauthenticated attacker to execute arbitrary code on a vulnerable system.


Zoho has published a security advisory to announce that an update that patches the bug is currently available for ADSelfService Plus.


In a [security notification](https://www.manageengine.com/products/self-service-password/kb/how-to-fix-authentication-bypass-vulnerability-in-REST-API.html) week, the company says that it is “noticing indications of this vulnerability being exploited” in the wild.


The [alert from CISA](https://us-cert.cisa.gov/ncas/current-activity/2021/09/07/zoho-releases-security-update-adselfservice-plus) is clear about this, though, as the agency informs that “CVE-2021-40539 has been detected in exploits in the wild.”


At this moment, information about the vulnerability is scarce. A severity score has not been calculated by the National Institute of Standards and Technology in the U.S. but Zoho notes that the issue is critical:


“An authentication bypass vulnerability affecting REST API URLs, that could result in remote code execution,” the company says.


Organizations with ADSelfService Plus builds lower than 6114 are urged to apply the latest update from the developer, available using the [service pack](https://www.manageengine.com/products/self-service-password/service-pack.html).


CVE-2021-40539 is the fifth critical vulnerability reported for Zoho ManageEngine ADSelfService Plus this year:


* [CVE-2021-37421](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-37421) - admin portal access-restriction bypass in Zoho ManageEngine ADSelfService Plus 6103 and earlier
* [CVE-2021-37417](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-37417) - CAPTCHA bypass due to improper parameter validation in Zoho ManageEngine ADSelfService Plus build 6103 and earlier
* [CVE-2021-33055](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-33055) - unauthenticated remote code execution in non-English editions affecting Zoho ManageEngine ADSelfService Plus through 6102
* [CVE-2021-28958](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28958) - unauthenticated remote code execution while changing the password in all Zoho ManageEngine ADSelfService Plus builds up to 6101





## Tags:
***CVE's***: CVE-2021-37421 CVE-2021-33055 CVE-2021-37417 CVE-2021-40539 CVE-2021-28958

### Autogenerated tags:
[[adselfservice]] [[zoho]] [[manageengine]] [[cve-2021-40539]]
