# FBI and CISA warn government systems against increased DDoS attacks
## The advisory describes the critical DDoS tactics, with recommendations to defend against such attacks.
## Information:

+ Link: https://www.csoonline.com/article/2073589/fbi-and-cisa-warn-government-systems-against-increased-ddos-attacks.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 22 March 2024, 12:36
+ Date scraped: 22 March 2024, 13:06

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2024/03/iStock-1311093031.jpg?quality=50&strip=all&w=1024)



The advisory describes the critical DDoS tactics, with recommendations to defend against such attacks.








The US Cybersecurity and Infrastructure Security Agency (CISA), the FBI, and the multistate information sharing, and analysis center (MS-ISAC) have, in a joint effort, released an advisory to defend against distributed denial of service (DDoS) attacks.


Especially popular with Russia-backed hacktivists and nation-state actors, DDoS attacks refer to malicious attempts to disrupt the normal traffic of a targeted service by overwhelming its servers and networks with a flood of fake traffic.


The joint advisory is released to serve “as a guidance for federal, state, local, tribal, and territorial government entities to address the specific needs and challenges faced by them to defend against denial of service (DoS) and DDoS attacks.”


A DoS attack involves a single source to overwhelm the target system as opposed to the multiple sources, also called botnets, used in DDoS attacks. The main advantage of a DDoS attack over a DoS attack is the ability to generate a significantly higher volume of traffic, overwhelming the target system’s resources to a greater extent, according to the advisory.


Typical denial of service attacks
---------------------------------


The advisory has grouped typical DoS and DDoS attacks based on three technique types: volume-based, protocol-based, and application layer-based. While volume-based attacks aim to cause request fatigue for the targeted systems, rendering them unable to handle legitimate requests, protocol-based attacks identify and target the weaker protocol implementations of a system causing it to malfunction.


A novel loop [DoS attack reported this week](https://www.csoonline.com/article/2071104/udp-based-network-communications-face-critical-denial-of-service-attacks.html) targeting network systems, using weak user datagram protocol (UDP)-based communications to transmit data packets, is an example of a protocol-based DoS attack. This new technique is among the rarest instances of a DoS attack, which can potentially result in a huge volume of malicious traffic.




Application layer-based attacks refer to attacks that exploit vulnerabilities within specific applications or services running on the target system. Upon exploiting the weaknesses in the application, the attackers find ways to over-consume the processing powers of the target system, causing them to malfunction.


Interestingly, the loop DoS attack can also be placed within the application layer DoS category, as it primarily attacks the communication flaw in the application layer resulting from its dependency on the UDP transport protocol.



DDoS has been extensively used by the Russia-aligned hacktivists, calling themselves the Anonymous Sudan, who recently [disrupted a series of French government services](https://www.csoonline.com/article/1313027/russia-aligned-hackers-take-down-french-state-services-in-massive-ddos-attack.html).




#### Explore related questions




* [How do DDoS attacks impact everyday internet users?](/smart-answers?q=How%20do%20DDoS%20attacks%20impact%20everyday%20internet%20users%3F&qs=article_cso_2073589)
* [Can personal devices be unknowingly used in DDoS attacks?](/smart-answers?q=Can%20personal%20devices%20be%20unknowingly%20used%20in%20DDoS%20attacks%3F&qs=article_cso_2073589)
* [What are the legal consequences of conducting a DDoS attack?](/smart-answers?q=What%20are%20the%20legal%20consequences%20of%20conducting%20a%20DDoS%20attack%3F&qs=article_cso_2073589)
* [How can individuals protect themselves from DDoS attack participation?](/smart-answers?q=How%20can%20individuals%20protect%20themselves%20from%20DDoS%20attack%20participation%3F&qs=article_cso_2073589)
* [Are there international laws governing DDoS attack mitigation?](/smart-answers?q=Are%20there%20international%20laws%20governing%20DDoS%20attack%20mitigation%3F&qs=article_cso_2073589)




Ask




Analysis, planning, and mitigation tools
----------------------------------------


Running a thorough and continuous analysis of the network systems was assigned the topmost priority in the advisory’s list of recommendations. This included risk assessment to determine existing vulnerabilities to DDoS attacks, network monitoring to track unusual and suspicious traffic activities, and regular traffic logging to prepare a baseline of normal traffic patterns.


Bandwidth capacity planning was also recommended as tweaking the bandwidth capacity to accommodate sudden seasonal spikes can come in handy while tackling malicious traffic. Implementing load balancing to distribute traffic and prevent a single and central point of failure might help too, the advisory noted.


Tools that can prove beneficial in preventing or handling DDoS attacks include DDoS mitigation services, the implementation of captcha to fish out bot access, and network firewalls configured to filter out suspicious traffic patterns and block known malicious IP addresses.




The development comes days after the [Feds issued warning](https://www.cisa.gov/news-events/cybersecurity-advisories/aa24-038a?utm_source=EA&utm_medium=press_release&utm_campaign=VT_020724) against tightened activities of the Chinese Volt Typhoon gang, the nation-state allegedly maintaining malicious persistence in critical US systems by exploiting critical vulnerabilities such as the recent [Fortinet RCE flaws](https://www.csoonline.com/article/1306816/fortinet-urges-patching-n-day-bug-amid-ongoing-nation-state-exploitation.html).





## Tags:


### Autogenerated tags:
[[ddos]] [[protocol-based]]
