# Hackers Weaponize Suspended Domains To Deliver Malware Payload
## A recent phishing campaign targeting Latin America utilized emails with ZIP attachments containing an HTML file disguised as an invoice using
## Information:

+ Link: https://cybersecuritynews.com/?p=61826
+ Source: Cyber Security News
+ Author: Guru Baran
+ Date published: 08 April 2024, 14:13
+ Date scraped: 09 April 2024, 05:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9t7ZOBvr-dvtlJ3boJgkth7a5L6uTQohYaP6V-1rKsVokYRAuzsvQTbIvro_H7dXx63bpHUCvQGka0tXNPOvYAqXwt2BWltClfVwZ8RZYvxRKmGwSSNuaxRfM0kpa5f6yF6HFNRHCeVHlBKIgcWpO008bq33_vZIkKozNVr6fEAJnGDtRv2vQqf215TzW/s16000/Hackers%20Weaponize%20Suspended%20Domains%20Malware%20Delivery.webp)


A recent phishing campaign targeting Latin America utilized emails with ZIP attachments containing an HTML file disguised as an invoice using free, temporary email addresses with the domain “temporary.link” and spoofing the User-Agent field in the header to indicate use of Roundcube Webmail, a platform that phishers frequently abuse, aiming to trick recipients into downloading malware.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjvgC_Rb7d5W7hGoVJgPGV__QInoJra83_OLqTX8R2af_uMOdZwsIa4pxzDRuW3YL8EzwoWMp9ZtNj35Z-JhtraqD2q5amnTSOBr-k9nSzzYcLpIpG20Nn5S5VinrLm8uNuOHS0_33J5JLBbtbQ3ejl2WojeJDRPTT-L2VJhH6X_1Tx6TfVBLRUpJpsGuJP/s16000/Capture%20-%202024-04-08T165842.553.webp)Phishing email sample with zip file attachment


A potentially malicious URL is identified within an HTML file, which, accessed directly, leads to a non-functional page, indicating the URL resolves to IP address 89.116.32.138.


**Phishing Scheme With Expired Domains**
----------------------------------------


TrustWave investigation reveals the domain is young (approximately one year old) and utilizes Cloudflare [nameservers](https://cybersecuritynews.com/dns-tunnel-keylogger/). Some registrant contact information for this domain traces back to Mexico, which raises suspicion about the URL’s legitimacy.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiAqmw6tsbWxF6oRr7pQgd705UPI25dcHoshJi8K-L0qdM3AtDizQtPhfZzNAUnEcM_hksrSuc0B70mU13zCSnSLe5aBWJUQz3Q8scGuJZ6RDESSD15XPbpBAE0KzP8PD1dgtx8QnTOB1550vQDrpguj6fD8t4HAbVZ02m7VUSv_b4bDUQg4HcGnA1pvpZ6/s16000/Capture%20-%202024-04-08T170011.250.webp)List of domains hosted on IP 89 [.]116 [.]32 [.]138


Attackers are targeting users in Mexico with a phishing scheme, and by accessing a specific URL with a Mexican IP, victims are redirected to a page requesting human verification.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj6AVP5jpABWnooqhMidc2HrGw0dOpb9i6lK3crk856ZcY5izKFZtzLnFETlHywwidwGB9miLotGtbWKuxNoRlwZt6h1R05NLUKmkQ37RQgTNPKQet8V2vz0wRB0cJJ8Gx4xnteoNGm6-o1J8D3gp-QWITnYTLMV9xYooEIIS4riWpeqe1L3_Uhqbt3arj9/s16000/Capture%20-%202024-04-08T170138.683.webp)URL Redirection to Cloudflare captcha page when accessed using a Mexico based IP


The verification step leads to the download of a malicious RAR archive, which contains a [PowerShell script](https://cybersecuritynews.com/vice-society-ransomware-2/) designed to gather information from the victim’s machine, including the computer’s name, operating system, and antivirus presence. 


The script also contains encoded URLs that, when decoded, initiate further malicious actions, potentially including downloading additional malware.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEitRoFhU3Xj9DNGBrlMtl-dh9uTiiV4FwZ9YdUKDDmt4maqzzq-hJnT1_-knikj7xSidGDS6p9_3FZBZavwr-RgNdO_lkw4Js8RuC4SCKrtngBLsq5VdsHYwC20p-oUWg5iYsSwP70FSwxuiHSWqsM29V6RNon0Fc4EYwFXrCAPXgwBZTaAN-klSn7DluBa/s16000/Capture%20-%202024-04-08T170253.899.webp)Snippet of the code with base64 string encoded strings


A malicious website encoded with a base64 string attempts to identify the user’s country through a URL (hxxp[://]86[.]38[.]217[.]167/ps/index[.]PHP), which might be part of a larger campaign similar to previous “Horabot” campaigns.


Another encoded string leads to a malicious URL (hxxps[://]www[.]dropbox[.]com/scl/fi/k6hxua7lwt1qcgmqou6q3/m[.]zip?rlkey=7wu6x4pfvbt64atx11uqpk34l&dl=1) that downloads a ZIP archive containing suspicious files, including a newly created executable AutoIt file, suggesting potential malicious activity.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi4eTV2S-nRsf0qjoG5VxuJBNg_AerZoXVQDR4q91UerwIqp2BCheYKsEOAVziSYc91FJGnuan9ZQpaonhcptj1QkWV7PtlG3JNT1eNoaSAy6BnyyVM71KdNd-jbk1ykItPJ3dcWrHdcZIlH5gMnhJFYs-9SZbVkONjRrCRCy3QjDEKimpl5cxqrynmh8Iw/s16000/Capture%20-%202024-04-08T170411.199.webp)Extracted ZIP file with suspicious executable AutoIt file


Phishing campaigns are employing increasingly sophisticated techniques to bypass detection, which include compressed attachments, obfuscated code, PowerShell scripts, and newly created domains with geo-targeted content.


The techniques make it difficult to identify malicious emails, especially those that contain attachments or links disguised as inaccessible or suspended pages.


According to [TrustWave](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/phishing-deception-suspended-domains-reveal-malicious-payload-for-latin-american-region/),  some IoCs identified in such campaigns are: hxxps://facturasmex.cloud, hxxps://facturas.co.in/index.php?va, hxxp://ad2.gotdns.ch/22/22, hxxp://86.38.217.167/ps/index.php. Users should be cautious of emails with these characteristics and refrain from opening attachments or clicking on links.





## Tags:
***ipv4-adresses***: 86.38.217.167 89.116.32.138
***urls***: hxxp://ad2.gotdns.ch/22/22, hxxp://86.38.217.167/ps/index.php. hxxps://facturas.co.in/index.php?va, hxxps://facturasmex.cloud,

### Autogenerated tags:
[[url]] [[phishing]] [[ip]] [[emails]]
