# Industry Leading StormWall DDoS Protection — Now Even Better With Improved Client Portal
## DDoS attacks pack a punch. The Ponemon Institute estimates that each minute of downtime during a DDoS assault rings in at a whopping $22,000. On top of that, recovery from such an attack can set back a small or midsize business by $120,000. Implementing robust DDoS protection isn’t optional — it’s a necessity. But it’s […]
## Information:

+ Link: https://cybersecuritynews.com/?p=33917
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 11 August 2023, 11:00
+ Date scraped: 11 August 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaGmpCtkelVcC9JD5i5r0LVNvfE85vzyKoc37uZEphQL-pnC2H0PUOanXw6uBEvMrlKnD-kgMmEo4rF4TTR9wWhZmsk0gNCmIo19v3lnI2c1z33fC_K9ULaXDmrqVlCOhIsQIgXdvva8KLDDQ2c8Cl392f5K7NJBKHYTMP2MLFl2FJuDIHUC3JKMwv7ll/s16000/StormWall%20DDoS%20Protection.webp)


DDoS attacks pack a punch. The Ponemon Institute [estimates](https://www.cloudbric.com/how-much-will-a-ddos-attack-cost-your-business/#:~:text=According%20to%20Ponemon%20Institute%20study,minute%20of%20downtime%20it%20causes.) that each minute of downtime during a DDoS assault rings in at a whopping $22,000. On top of that, recovery from such an attack can set back a small or midsize business by $120,000.


Implementing robust DDoS protection isn’t optional — it’s a necessity. But it’s not as simple as set it and forget it. DDoS attacks come in different flavors, each with a unique focus:





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



* **Volume-Based Attacks**: Their goal? Flood bandwidth with an avalanche of data.
* **Application Layer Attacks**: These imitate regular user activity to zero in on specific applications.
* **Multi-vector Attacks**: Combine multiple attack strategies for a complicated offensive.
* **Reflection and Amplification Attacks**: Exploit weaknesses to amplify malicious traffic.


In most cases, an automated response will suffice. But occasionally, a situation calls for a careful assessment and tailored response. Perhaps you want to keep a close eye on the proceedings.


To make this possible, StormWall has significantly revamped its client portal. Now, customers can monitor their DDoS security in real-time.


## 


## **Customizing DDoS Protection with StormWall’s Portal**


StormWall’s revamped service breaks down into several sections, namely analytics, protected object, [WebSocket](https://developer.mozilla.org/en-US/docs/Web/API/WebSockets_API), DNS, SSL, cache, protection, advanced, attack history, and blocked IPs.


Under “**Analytics**“, graphs and charts give an overview of website requests, traffic volume, response times, and request origins. Switch to the “Protected Object” section for details about the addresses linked to your protected resource. 


![](https://lh5.googleusercontent.com/AGLeoDiOvokVl9mAfBVGBEpkxg0cpUZuZ5fo6zSkQNIKAiPqI_0YG_Pue67AyF4_CyK7QcY0Evao5OGOmPOQcMZ0g0jwZO7o2aV1uBk377NcheAgUa5yvqW88GEZG7Xp6_X6ZQmjJPh6y3I-)


The “**Protection**” section provides a comprehensive suite of tools to control your DDoS protection and enhance security measures. Here are just some of them:


* **Protection Mode**: By default, the service operates in “Sensor” mode, analyzing all site requests for potential threats. However, users can opt for alternative modes like “Redirect”. This mode utilizes identification file (cookie) analysis to deter bot attacks and automatic requests.


* **Java Script Checks**: Users can use Javascript-based checks, providing another layer of security to the system.


* **CAPTCHA Method**: The service incorporates a proprietary CAPTCHA method, adding a further barrier against potential intruders.


* **Proactive Protection**: Upon activation, this feature comprehensively analyzes visitor activity, such as geolocation and time spent on specific site pages. The data gathered is used to construct a positive server resource usage model.


* **Address List Management**: The service provides a system to manage white, black, and gray address lists. Traffic from whitelisted addresses bypasses checks, while blacklisted addresses are automatically blocked. Graylisted addresses, however, are subject to deeper analysis, and users can specify the checks these should undergo.


* **Geofiltering**: Users can activate geofiltering and specify particular actions for requests from certain countries.


![](https://lh6.googleusercontent.com/dhuNJq6NsPM3m1m3pZ5jnrNq6287nOy5VenJYyzIgUx6n-Uw7cN8YsRczVMkD2XPU3xh14KYmjUv4Mq2FZbeErKI-CYHi9jHjBe6PWmRTI5O-8ANu6T8wEAW6JexD5vv0pdkPZnv75VHWzOB)


*Understand the nature of your traffic — get a high-level overview or get down to the details like response codes, request headers and more*


The client portal features a **user-friendly interface** that makes it easy to configure basic settings. But for security specialists, there’s a variety of advanced options:


* **Manage Backend Services**: Balance settings for optimized traffic flow and backend server management, allowing smooth and secure protocol access.


* **WebSocket Shield**: Setup protection against DDoS attacks exploiting WebSocket vulnerabilities, ensuring stable operation even on non-standard ports.


* **Control DNS Settings**: Oversee domain zone settings, manage secure IP addresses, and adjust DNS records as needed for robust domain security.


* **SSL Security Enhancements**: Counteract application-level [DDoS attacks](https://cybersecuritynews.com/russia-released-list-of-ip-addresses/) on SSL traffic, offering both manual and automatic key management options.


* **Boost Speed with Cache**: Activate static content caching to improve site speed and reduce server load, providing options for data storage time and file extension caching.


* **Tune-up Protection**: Customize server protection options against DDoS attacks, including interactive checks, geo-filtering, HTTP header filters, and more, with a flexible system for managing address lists and blocking rules.


* **Advanced Redirect Options**: Configure various redirects for enhanced site navigation and seamless user experience, including unconditional redirects to other domains.


And if you’re unsure how to tailor the protection for your website, **StormWall specialists are always ready to assist** with configuration on request. 


**![](https://lh5.googleusercontent.com/IkzWovRFSYfL1No5XYWsYjAcF0XBE51wKYwtt32Miq7CUSG1ChepeHNA6_ULN0cC0viA6I8D16KeLri9r571ezg6iTx_BlRMczD0HBZTgmBWfRV9Zd-mCG9-3bXDuzWmZeoO_K0cncjIZi7D)**


*Easily see where an attack originated from*


## **Understand the Nature of Each Attack**


StormWall serves up a comprehensive analysis of attacks targeting protected domains, divided into digestible sections:


* **Attack History**: This archive keeps a running record of every attack launched against your protected site. Need specifics? Define a time interval and get details like the target address, attack type, protocol, time, and severity. Entries are clickable, offering a deeper dive into each event.


* **Blocked IPs**: This section keeps tabs on blocked IP addresses — when and why they were blocked, and how long they’ll remain. Hunt for specific addresses and, if needed, manually unblock them. You can even review the complete blocking history from when StormWall took charge of your site’s protection. This lets you pinpoint if and why an address was ever blocked.


* **Protected Domains**: Look up specific domains within your saved list and pull up in-depth information. Choose a time interval for analysis and watch the displayed information adjust in real time.


* **Requests**: Get a bird’s eye view of requests made to your protected site through a comprehensive graph. Hover over specific dates for more granular data, including the percentage of blocked requests. The graph can be tweaked to showcase only the types of queries you’re interested in.


* **Response Times**: Track how quickly your site responds to incoming requests through an additional graph. This can help uncover potential response issues. For instance, it can reveal the percentage of requests that experienced extended response times.


## A few words about StormWall


StormWall specializes in DDoS protection for internet services, websites, and networks. With a network sprawled across six points of presence in major data centers in the USA (Washington), Germany (Frankfurt am Main), Kazakhstan (Almaty), China (Hong Kong), Singapore, and Russia (Moscow), the company’s mission is efficient traffic processing near protected resources.


This expansive network — with a maximum bandwidth of 3.5 Tbit/s — allows StormWall to deliver robust DDoS protection. Their dedicated team of security professionals works 24/7, ready to neutralize threats and provide support in under 15 minutes quickly.


Switching hosting providers isn’t necessary to enjoy this protection, and setup takes only 10 minutes.


## Wrapping up


All in all, the revamped StormWall user portal arms you with vital tools to tackle DDoS attacks head-on. Its real-time insights and intuitive interface bring complex security configurations within everyone’s reach. And its detailed attack analysis enables users to understand threats and tweak their defenses accordingly. [StormWall](https://stormwall.network/) reaffirms its commitment to delivering reliable, user-centric DDoS protection with this update.







## Tags:


### Autogenerated tags:
[[ddos]] [[stormwall]] [[websocket]] [[dns]] [[ssl]]
