# Grandoreiro banking malware targets Mexico and Spain
## A new Grandoreiro banking malware campaign is targeting organizations in Mexico and Spain, Zscaler reported. Zscaler ThreatLabz researchers observed a Grandoreiro banking malware campaign targeting organizations in the Spanish-speaking nations of Mexico and Spain. Grandoreiro is a modular backdoor that supports the following capabilities: Keylogging Auto-Updation for newer versions and modules Web-Injects and restricting access to specific […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134651/cyber-crime/grandoreiro-targest-mexico-spain.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 August 2022, 08:35
+ Date scraped: 21 August 2022, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/grandoreiro-malware.png?resize=300%2C300&ssl=1)


Zscaler ThreatLabz researchers observed a [Grandoreiro](https://securityaffairs.co/wordpress/107460/malware/grandoreiro-targets-spain-tax.html) banking malware campaign targeting organizations in the Spanish-speaking nations of Mexico and Spain. 


Grandoreiro is a modular backdoor that supports the following capabilities:


* Keylogging
* Auto-Updation for newer versions and modules
* Web-Injects and restricting access to specific websites
* Command execution
* Manipulating windows
* Guiding the victim’s browser to a certain URL
* C2 Domain Generation via DGA (Domain Generation Algorithm)
* Imitating mouse and keyboard movements


The campaign began in June 2022 and is still ongoing, the attacks hit organizations in multiple industries, such as Automotive, Chemicals Manufacturing, and others. The threat actors behind this campaign impersonate Mexican Government Officials, the malware uses multiple anti-analysis techniques along with implementation of Captcha for evading Sandboxes.


[![grandoreiro malware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/grandoreiro-malware.png?resize=1024%2C621&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/grandoreiro-malware.png?ssl=1)


*“In this campaign, the threat actors impersonate government officials from the Attorney General’s Office of Mexico City and from the Public Ministry in the form of spear-phishing emails in order to lure victims to download and execute “Grandoreiro” a prolific banking trojan that has been active since at least 2016, and that specifically targets users in Latin America.” reads the [post](https://www.zscaler.com/blogs/security-research/grandoreiro-banking-trojan-new-ttps-targeting-various-industry-verticals) published by Zscaler. “Grandoreiro is written in Delphi and utilizes techniques like binary padding to inflate binaries, Captcha implementation for sandbox evasion, and command-and-control (CnC) communication using patterns that are identical to LatentBot.”*


The infection chain begins with a spear-phishing message written in Spanish that includes a link that points to a website that further downloads a malicious ZIP archive on the victim’s machine. The messages use payment refunds, litigation notifications, cancellation of mortgage loans, and deposit vouchers as lures.


The ZIP archive contains the Grandoreiro Loader module with a PDF Icon in order to lure the victim into opening it. Once the file is opened, it downloads and executes the “Grandoreiro” payload (400MB) from a Remote HFS server which further communicates with the C2 server using traffic identical to LatentBot



[![grandoreiro](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/grandoreiro-malware-2.png?resize=1024%2C443&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/grandoreiro-malware-2.png?ssl=1)


That’s not all. The loader is also designed to gather system information, retrieve a list of installed antivirus solutions, cryptocurrency wallets, banking, and mail apps, and exfiltrate the information to a remote server.


Grandoreiro is a continuously evolving threat that represents a serious threat to organizations worldwide.


*“The threat actors behind Grandoreiro Banking malware are continuously evolving their tactics and malware to successfully carry out attacks against their targets by incorporating new anti-analysis tricks to evade security solutions; inheriting features from other Malware families.” concludes the report.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Log4Shell)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[grandoreiro]] [[malware]]
