# Cybercriminals Abusing Cloudflare R2 for Hosting Phishing Pages, Experts Warn
## The use of Cloudflare R2 for hosting phishing pages has surged by 61x in just six months.
## Information:

+ Link: https://thehackernews.com/2023/08/cybercriminals-abusing-cloudflare-r2.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 15 August 2023, 23:44
+ Date scraped: 15 August 2023, 19:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhnTDNi0BC14XdPdEsGDjZstqkSMugDS8RSV8o9OKxMKcMgpMdBO5STqTguTU6pvc0wWIZChXRShz36tMYTabZByHxvc2VojwafGxv80lZyNGQJrZc03ifNIkfIVHbgHNar5Xpza3EIgsDzMS68ZpzZMTK6L8j-AA5s5N-CGxYByKeaIdatBgzHrUuQ___v/s728-e3650/phishing.jpg)


Threat actors' use of Cloudflare R2 to host phishing pages has witnessed a 61-fold increase over the past six months.


"The majority of the phishing campaigns target Microsoft login credentials, although there are some pages targeting Adobe, Dropbox, and other cloud apps," Netskope security researcher Jan Michael [said](https://www.netskope.com/blog/evasive-phishing-campaign-steals-cloud-credentials-using-cloudflare-r2-and-turnstile).


[Cloudflare R2](https://blog.cloudflare.com/introducing-r2-object-storage/), analogous to Amazon Web Service S3, Google Cloud Storage, and Azure Blob Storage, is a data storage service for the cloud.


The development comes as the total number of cloud apps from which malware downloads originate has [increased to 167](https://www.netskope.com/blog/netskope-threat-labs-stats-for-july-2023), with Microsoft OneDrive, Squarespace, GitHub, SharePoint, and Weebly taking the top five spots.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The phishing campaigns identified by Netskope not only abuse Cloudflare R2 to distribute static phishing pages, but also leverage the company's [Turnstile](https://www.cloudflare.com/products/turnstile/) offering, a CAPTCHA replacement, to place such pages behind anti-bot barriers to evade detection.


In doing so, it prevents online scanners like [urlscan.io](https://thehackernews.com/2022/11/experts-find-urlscan-security-scanner.html) from reaching the actual phishing site, as the CAPTCHA test results in a failure.


As an additional layer of detection evasion, the malicious sites are designed to load the content only when certain conditions are met.


"The malicious website requires a referring site to include a timestamp after a hash symbol in the URL to display the actual phishing page," Michael said. "On the other hand, the referring site requires a phishing site passed on to it as a parameter."


In the event no URL parameter is passed to the referring site, visitors are redirected to www.google[.]com.


The development comes a month after the cybersecurity company [disclosed](https://www.netskope.com/blog/aws-amplify-hosted-phishing-campaigns-abusing-telegram-static-forms) details of a phishing campaign that was found hosting its bogus login pages in AWS Amplify to steal users' banking and Microsoft 365 credentials, along with card payment details via Telegram's Bot API.


  





## Tags:
***urls***: http://www.google.com

### Autogenerated tags:
[[phishing]] [[cloud]] [[cloudflare]] [[r2]] [[microsoft]]
