# Cybercriminals Targeting Latin America with Sophisticated Phishing Scheme
## Latin America targeted in new phishing attack. Emails contain malicious HTML files disguised as invoices.
## Information:

+ Link: https://thehackernews.com/2024/04/cybercriminals-targeting-latin-america.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 08 April 2024, 14:06
+ Date scraped: 08 April 2024, 09:15

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhnd3bX1foyjBwL83XbhxUfgVoqgaZ9q4tLvUxkht25xJfDBqYn2SIlik4j8-XpQ6HxsULMe5S5RybYewREKDlzUzCl0KMWcjyvSCWF5q2pSC0QJU4TvbFUtdVG6ZQ9frWIug0XWBj-rZa-qpMXiKIFYs1iJSmFlzToYKoTj5KiQMkU5zte91O81nWB66c4/s728-rw-e365/phishing.png)


A new phishing campaign has set its eyes on the Latin American region to deliver malicious payloads to Windows systems.


"The phishing email contained a ZIP file attachment that when extracted reveals an HTML file that leads to a malicious file download posing as an invoice," Trustwave SpiderLabs researcher Karla Agregado [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/phishing-deception-suspended-domains-reveal-malicious-payload-for-latin-american-region/).


The email message, the company said, originates from an email address format that uses the domain "temporary[.]link" and has Roundcube Webmail listed as the User-Agent string.


The HTML file points containing a link ("facturasmex[.]cloud") that displays an error message saying "this account has been suspended," but when visited from an IP address geolocated to Mexico, loads a CAPTCHA verification page that uses Cloudflare Turnstile.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
This step paves the way for a redirect to another domain from where a malicious RAR file is downloaded. The RAR archive comes with a PowerShell script that gathers system metadata as well as checks for the presence of antivirus software in the compromised machine.


It also incorporates several Base64-encoded strings that are designed to run PHP scripts to determine the user's country and retrieve a ZIP file from Dropbox containing "many highly suspicious files."


Trustwave said the campaign exhibits similarities with that of [Horabot](https://thehackernews.com/2023/06/new-botnet-malware-horabot-targets.html) malware campaigns that have [targeted Spanish-speaking users](https://thehackernews.com/2023/07/casbaneiro-banking-malware-goes-under.html) in Latin America in the past. 


"Understandably, from the threat actors' point of view, phishing campaigns always try different [approaches] to hide any malicious activity and avoid immediate detection," Agregado said.


"Using newly created domains and making them accessible only in specific countries is another evasion technique. especially if the domain behaves differently depending on their target country."


The development comes as Malwarebytes revealed a malvertising campaign targeting Microsoft Bing search users with bogus ads for NordVPN that lead to the distribution of a [remote access trojan](https://darktrace.com/blog/not-your-average-rodent-darktraces-mitigation-of-the-sectop-remote-access-trojan-rat) called [SectopRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.sectop_rat) (aka ArechClient) hosted on Dropbox via a phony website ("besthord-vpn[.]com").


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
"Malvertising continues to show how easy it is to surreptitiously install malware under the guise of popular software downloads," security researcher Jérôme Segura [said](https://www.malwarebytes.com/blog/threat-intelligence/2024/04/bing-ad-for-nordvpn-leads-to-sectoprat). "Threat actors are able to roll out infrastructure quickly and easily to bypass many content filters."


It also follows the discovery of a [fake Java Access Bridge installer](https://blog.sonicwall.com/en-us/2024/04/cryptominer-poses-as-fake-java-utility/) that serves as a conduit to deploy the open-source XMRig cryptocurrency miner, per SonicWall.


The network security company said it also discovered a [Golang malware](https://blog.sonicwall.com/en-us/2024/03/new-golang-trojan-installs-certificate-for-comms-evasion/) that "uses multiple geographic checks and publicly available packages to screenshot the system before installing a root certificate to the Windows registry for HTTPS communications to the [command-and-control server]."


  





## Tags:


### Autogenerated tags:
[[phishing]] [[malware]]
