# Hackers Exploiting LiteSpeed Cache Bug to Gain Full Control of WordPress Sites
## A critical flaw in the hugely popular LiteSpeed Cache plugin for WordPress is being exploited in the wild to create rogue admin accounts, granting att
## Information:

+ Link: https://thehackernews.com/2024/05/hackers-exploiting-litespeed-cache-bug.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 08 May 2024, 12:33
+ Date scraped: 08 May 2024, 08:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgwWxqiKarD6EDbef2U4m3_BOnbMMSi3QcX7IRua5mjCkdTXC6Y0w6ZBkv8braHsd8pXPyEt65hxXN_Dlto4UCHiOis3OGtJkxNjG1o4sKiRKwXzumV-4XZ5dEccd109nFBUmPc_kR7FeVWaM1Lg8oT5jq7mEt4-rKc_97tWahO_Pn1u20qHspppHZtw1aQ/s728-rw-e365/wordpress.png)


A high-severity flaw impacting the LiteSpeed Cache plugin for WordPress is being actively exploited by threat actors to create rogue admin accounts on susceptible websites.


The [findings](https://wpscan.com/blog/surge-of-javascript-malware-in-sites-with-vulnerable-versions-of-litespeed-cache-plugin/) come from WPScan, which said that the vulnerability ([CVE-2023-40000](https://nvd.nist.gov/vuln/detail/CVE-2023-40000), CVSS score: 8.3) has been leveraged to set up bogus admin users with the names wpsupp‑user and wp‑configuser.


CVE-2023-40000, which was [disclosed](https://thehackernews.com/2024/02/wordpress-litespeed-plugin.html) by Patchstack in February 2024, is a stored cross-site scripting (XSS) vulnerability that could permit an unauthenticated user to elevate privileges by means of specially crafted HTTP requests.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The flaw was addressed in October 2023 in version 5.7.0.1. It's worth noting that the latest version of the plugin is 6.2.0.1, which was [released](https://wordpress.org/plugins/litespeed-cache/advanced/) on April 25, 2024.


LiteSpeed Cache has over 5 million active installations, with statistics showing that versions other than 5.7, 6.0, 6.1, and 6.2 are still active on 16.8% of all websites.


According to the Automattic-owned company, malware typically injects into WordPress files JavaScript code hosted on domains like dns.startservicefounds[.]com and api.startservicefounds[.]com.


Creating admin accounts on WordPress sites can have severe consequences, as it allows the threat actor to gain full control over the website and perform arbitrary actions, ranging from injecting malware to installing malicious plugins.


[![LiteSpeed Cache Bug](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgOpW70KEWE1NOIlxwIoG8zP7yWkG5CVOOldcPk5CpCrwbvJCERlaVEjxwJQQyknm4FaKvH7Fd4t6aAzLWAdikhec0PqXOhR003pq5NPYSOCp93IUrTTmJKw4b4nr9WHNCf_CUZvLf5Slzo0pxRpi_lve_ZsbwU_i8_h1U0gCEYCq3mWsGP7Qr-DezGhyyp/s728-rw-e365/code.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgOpW70KEWE1NOIlxwIoG8zP7yWkG5CVOOldcPk5CpCrwbvJCERlaVEjxwJQQyknm4FaKvH7Fd4t6aAzLWAdikhec0PqXOhR003pq5NPYSOCp93IUrTTmJKw4b4nr9WHNCf_CUZvLf5Slzo0pxRpi_lve_ZsbwU_i8_h1U0gCEYCq3mWsGP7Qr-DezGhyyp/s728-rw-e365/code.png)
To mitigate potential threats, users are being advised to apply the latest fixes, review all installed plugins, and delete any suspicious files and folders.


"Search in [the] database for suspicious strings like 'eval(atob(Strings.fromCharCode,'" WPScan said, "specifically in the option litespeed.admin\_display.messages."


The development comes as Sucuri revealed a redirect scam campaign dubbed Mal.Metrica on infected WordPress sites that employs fake CAPTCHA verification prompts to take users to fraudulent and undesirable sites, which are designed to download sketchy software or entice victims into providing personal information under the guise of sending rewards.


"While this prompt seems like a routine human-verification check it is actually completely fake — and is instead trying to trick the user into clicking the button thereby initiating a redirect to malicious and scammy websites," security researcher Ben Martin [said](https://blog.sucuri.net/2024/05/mal-metrica-redirects-users-to-scam-sites.html).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
Like [Balada Injector](https://thehackernews.com/2024/01/balada-injector-infects-over-7100.html), the activity takes advantage of recently disclosed security flaws in WordPress plugins to inject external scripts that impersonate CDN or web analytics services. As many as 17,449 websites have been compromised with Mal.Metrica so far in 2024.


"WordPress website owners may want to consider enabling automatic updates for core files, plugins, and themes," Martin said. "Regular users of the web should also be wary of clicking on links that seem out of place or suspicious."

 
  





## Tags:
***CVE's***: CVE-2023-40000
***ipv4-adresses***: 6.2.0.1
***urls***: http://dns.startservicefounds.com http://api.startservicefounds.com

### Autogenerated tags:
[[wordpress]] [[websites]] [[plugins]]
