# Hackers Using CAPTCHA Bypass Tactics in Freejacking Campaign on GitHub
## Automated Libra hackers using CAPTCHA bypass techniques to create GitHub accounts as part of freejacking campaign called PURPLEURCHIN.
## Information:

+ Link: https://thehackernews.com/2023/01/hackers-using-captcha-bypass-tactics-in.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 06 January 2023, 17:42
+ Date scraped: 06 January 2023, 18:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhbMpcB6011zvS07BeTgRd_Wz7rnTGnQBlCme-j3L4aBmDDNjbD-XQmd6JzgOHjkMZeMTso220Ef1FI4WeY7ftly24pZrjToDt6cZndt7NTNCO50OEWIriLm31AmdWJ83uwOFoBudANig2m9LCxPnjf-hOhrJqjmXS3dNjUuQhwUwBNDbiWxcBF3ywh/s728-rj-e3650/captcha.png)


A South Africa-based threat actor known as Automated Libra has been observed employing CAPTCHA bypass techniques to create GitHub accounts in a programmatic fashion as part of a freejacking campaign dubbed PURPLEURCHIN.


The group "primarily targets cloud platforms offering limited-time trials of cloud resources in order to perform their crypto mining operations," Palo Alto Networks Unit 42 researchers William Gamazo and Nathaniel Quist [said](https://unit42.paloaltonetworks.com/purpleurchin-steals-cloud-resources/).


PURPLEURCHIN first came to light in October 2022 when Sysdig [disclosed](https://thehackernews.com/2022/10/new-cryptojacking-campaign-targeting.html) that the adversary created as many as 30 GitHub accounts, 2,000 Heroku accounts, and 900 Buddy accounts to scale its operation.


Now according to Unit 42, the cloud threat actor group created three to five GitHub accounts every minute at the height of its activity in November 2022, totally setting up over 130,000 bogus accounts across Heroku, Togglebox, and GitHub.


More than 22,000 GitHub accounts are estimated to have been created between September and November 2022, three in September, 1,652 in October, and 20,725 in November. A total of 100,723 unique Heroku accounts have also been identified.


The cybersecurity company also termed the abuse of cloud resources as a "play and run" tactic designed to avoid paying the platform vendor's bill by making use of falsified or stolen credit cards to create premium accounts.


Its analysis of 250GB of data puts the earliest sign of the crypto campaign at least nearly 3.5 years ago in August 2019, identifying the use of more than 40 wallets and seven different cryptocurrencies.


[![Freejacking Campaign](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi6Uq9y0IMrPZAsY0owUOWekC1Qa2BHbEaj0VmvUP87M_7Nm2sGcdZ2x-lbsqp7gcYr7yKzufg3bviFwijjOHIVgVirpUYQKktMZTLE9iDTMZnMpnTY36KkZZy1xCd4XyJ2lbKAsYMZpd-sP2XsgwNCwTRb1IC1Y3lR44RcqdN0OLJXqSuv7bOQSV4I/s728-rj-e365/captcha.png)
The core idea that undergirds PURPLEURCHIN is the exploitation of computational resources allocated to free and premium accounts on cloud services in order to reap monetary profits on a massive scale before losing access for non-payment of dues.


Besides automating the account creation process by leveraging legitimate tools like [xdotool](https://www.semicomplete.com/projects/xdotool/) and [ImageMagick](https://imagemagick.org/), the threat actor has also been found to take advantage of weakness within the CAPTCHA check on GitHub to further its illicit objectives.


[![Freejacking Campaign](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjYZIlP3QAG_s86Zy1pBuyvjDP2Eie5T4xu1_3y5AJkBnUrXSEpNx7TMyj0LImE30LDz4y4_hiZlqn9OgbwgrwjOilTw_1Dnpy48YUx5p41OMmo5u9cDqrcs5ptPD3ex3ARuuonPreV6vG4iWivGChDZY2diLwarulYW2sve1QGczCgKiSTnvPGE46d/s728-rj-e365/github.png)
This is accomplished by using ImageMagick's [convert command](https://imagemagick.org/script/convert.php) to transform the CAPTCHA images to their RGB complements, followed by using the [identify command](https://imagemagick.org/script/identify.php) to extract the skewness of the [red channel](https://en.wikipedia.org/wiki/Channel_(digital_image)#RGB_images) and selecting the smallest value.

 Once the account creation is successful, Automated Libra proceeds to create a GitHub repository and [deploys workflows](https://docs.github.com/en/actions/using-workflows/about-workflows) that make it possible to launch external Bash scripts and containers for initiating the crypto mining functions.


The findings illustrate how the freejacking campaign can be weaponized to maximize returns by increasing the number of accounts that can be created per minute on these platforms.


"It is important to note that Automated Libra designs their infrastructure to make the most use out of CD/CI tools," the researchers concluded.


"This is getting easier to achieve over time, as the traditional VSPs are diversifying their service portfolios to include cloud-related services. The availability of these cloud-related services makes it easier for threat actors, because they don't have to maintain infrastructure to deploy their applications."


  





## Tags:


### Autogenerated tags:
[[github]] [[cloud]] [[captcha]] [[purpleurchin]] [[heroku]]
