# Hackers Using Fake DDoS Protection Pages to Distribute Malware
## Researchers uncover a widespread campaign in which hackers use compromised WordPress sites to display fraudulent Cloudflare DDoS protection pages.
## Information:

+ Link: https://thehackernews.com/2022/08/hackers-using-fake-ddos-protection.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 24 August 2022, 12:12
+ Date scraped: 24 August 2022, 13:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhSihnNc03x8Ep0aaa6dRBx5cy3mgMsFUML0shnWkfvt44CKdYABD8bCB74g3LMFiiKG_tEQdXxNbgFoUMP8TabsLBws9MBWX-WIhT4Oa7JyRzk9F_zBWUTqojOot0FAQuUcQwbTjSNdvXNwERj07qsKUEbHKpAjB7so8x7_Lq3vm33-0j_9VrxA6YA/s728-e100/ddos.jpg)


WordPress sites are being hacked to display fraudulent Cloudflare DDoS protection pages that lead to the delivery of malware such as NetSupport RAT and Raccoon Stealer.


"A recent surge in JavaScript injections targeting WordPress sites has resulted in fake DDoS prevent prompts which lead victims to download remote access trojan malware," Sucuri's Ben Martin [said](https://blog.sucuri.net/2022/08/fake-ddos-pages-on-wordpress-lead-to-drive-by-downloads.html) in a write-up published last week.


Distributed denial-of-service (DDoS) protection pages are essential browser verification checks designed to deter bot-driven unwanted and malicious traffic from eating up bandwidth and taking down websites.


The new attack vector involves hijacking WordPress sites to display fake DDoS protection pop-ups that, when clicked, ultimately lead to the download of a malicious ISO file ("security\_install.iso") to the victim's systems.


This is achieved by injecting three lines of code into a JavaScript file ("jquery.min.js"), or alternatively into the active theme file of the website, which, in turn, loads heavily obfuscated JavaScript from a remote server.


"This JavaScript then communicates with a second malicious domain which loads more JavaScript that initiates the download prompt for the malicious .iso file," Martin explained.


Following the download, users are prompted to enter a verification code generated from the so-called "DDoS Guard" application so as to entice the victim into opening the weaponized installer file and accessing the destination website.


While the installer does display a verification code to maintain the ruse, in reality, the file is a remote access trojan called [NetSupport RAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.netsupportmanager_rat), which is linked to the [FakeUpdates](https://thehackernews.com/2022/08/researchers-find-counterfeit-phones.html) (aka SocGholish) malware family and also covertly installs [Raccoon Stealer](https://thehackernews.com/2022/06/rig-exploit-kit-now-infects-victims-pcs.html), a credential-stealing trojan available for rent on underground forums.


The development is a sign that attackers are opportunistically co-opting these familiar security mechanisms in their own campaigns in a bid to trick unsuspecting website visitors into installing malware.


[![DDoS Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjJR5993IU6JINOzz2jewEulZ3Q3im8q5fldw9WgnuuU0EvVUwksCh82cY8YTZfK_PTtH4LHvoi3MW205vJ_0ODGHrKi0fbW9y9NmFNK4cBaXvI7PSXsifQrZErSfkzN7WB8mkuq15jA8I26dNXlD_9ec_f-IXT_GCCDOs9nxgKgtm9U_uG1HYaoDwT/s728-e1000/cyber.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjJR5993IU6JINOzz2jewEulZ3Q3im8q5fldw9WgnuuU0EvVUwksCh82cY8YTZfK_PTtH4LHvoi3MW205vJ_0ODGHrKi0fbW9y9NmFNK4cBaXvI7PSXsifQrZErSfkzN7WB8mkuq15jA8I26dNXlD_9ec_f-IXT_GCCDOs9nxgKgtm9U_uG1HYaoDwT/s728-e100/cyber.jpg)
To mitigate such threats, website owners are required to place their sites behind a firewall, employ file integrity checks, and enforce two-factor authentication (2FA). Website visitors are also urged to turn on 2FA, avoid opening suspicious files, and use a script blocker in web browsers to prevent the execution of JavaScript.


"The infected computer could be used to pilfer social media or banking credentials, detonate ransomware, or even entrap the victim into a nefarious 'slave' network, extort the computer owner, and violate their privacy — all depending on what the attackers decide to do with the compromised device," Martin said.


This isn't the first time ISO-themed files and CAPTCHA checks have been used to deliver the NetSupport RAT.


In April 2022, eSentire [disclosed](https://www.esentire.com/blog/fake-chrome-setup-leads-to-netsupportmanager-rat-and-mars-stealer) an attack chain that leveraged a fake Chrome installer to deploy the trojan, which then paved the way for the execution of [Mars Stealer](https://thehackernews.com/2022/03/researchers-expose-mars-stealer-malware.html). Likewise, an IRS-themed phishing campaign detailed by [Cofense](https://cofense.com/blog/rat-campaign-looks-to-take-advantage-of-the-tax-season) and [Walmart Global Tech](https://medium.com/walmartglobaltech/socgholish-campaigns-and-initial-access-kit-4c4283fea8ee) involved utilizing fake CAPTCHA puzzles on websites to deliver the same malware.


  





## Tags:


### Autogenerated tags:
[[javascript]] [[ddos]] [[malware]] [[website]] [[wordpress]] [[netsupport]]
