# How Multi-Stage Phishing Attacks Exploit QRs, CAPTCHAs, and Steganography
## Phishing attacks are getting smarter! Cybercriminals are now using QR codes, CAPTCHAs, and steganography to trick victims. Learn how to stay safe.
## Information:

+ Link: https://thehackernews.com/2023/11/how-multi-stage-phishing-attacks.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 21 November 2023, 16:10
+ Date scraped: 21 November 2023, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh__IpcNTdAmk3LLwu9Zng3otmsknQGFhVn08Q2pPViIVv7EeDHOZayzN8BEkpNZKyPfrJ-Z5rrXUvZ59MqZNzVxLVgHf-ii6KLNk-hMDAfv7XU846uSVC1OILGgKXgHeMxT-lZdOPienK8BO72ZuKI31GLpYfUp3IY07e22WBduDVSCq9mFdzPZUcvULBp/s728-rw-ft-e30/anyrun.jpg)


Phishing attacks are steadily becoming more sophisticated, with cybercriminals investing in new ways of deceiving victims into revealing sensitive information or installing malicious software. One of the latest trends in phishing is the use of QR codes, CAPTCHAs, and steganography. See how they are carried out and learn to detect them.


Quishing[#](#quishing)
----------------------


Quishing, a phishing technique resulting from the combination of "QR" and "phishing," has become a popular weapon for cybercriminals in 2023.


By concealing malicious links within QR codes, attackers can evade traditional spam filters, which are primarily geared towards identifying text-based phishing attempts. The inability of many security tools to decipher the content of QR codes further makes this method a go-to choice for cybercriminals.


![Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhQDWPCNqLbYPxB9nSpUT3qDhpa8ispBqldZN3AH-HKJbi35uTwBi8f1I6VsyR8prfOEXQdxIxpQYLi-9wHf3YsiG7bQh0yo3xTdgx10jRETlJ5tl2d8a21-y9fpUddwUchZEvYdhdmcZyVyIjQC2yui_jYgJNbWv74yZu1zNb-4yDE_W8Gog5m3SRojA4/s728-rw-ft-e30/image_1.png)
Analyzing a QR code with an embedded malicious link in a safe environment is easy with [ANY.RUN](https://any.run/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=landing&utm_term=211123):


1. Simply open [this task](https://app.any.run/tasks/ac0b6323-5476-4fed-9c8a-3b574742349c/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=task&utm_term=211123/) in the sandbox (or upload your file with a QR code).
2. Navigate to the Static Discovering section (By clicking on the name of the file in the top right corner).
3. Select the object containing the QR code.
4. Click "Submit to Analyze."


The sandbox will then automatically launch a new task window, allowing you to analyze the URL identified within the QR code.


Black Friday Offer[Take advantage of ANY.RUN's Black Friday Offer](https://app.any.run/plans/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=pricing&utm_term=211123/)Purchase an annual Searcher or Hunter plan subscription and get another for your colleague completely free of charge. Available November 20-26.

[Get It Now](https://app.any.run/plans/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=pricing&utm_term=211123/)
CAPTCHA-based attacks[#](#captchabased-attacks)
-----------------------------------------------


CAPTCHA is a security solution used on websites to prevent automated bots from creating fake accounts or submitting spam. Attackers have managed to exploit this tool to their advantage.


![Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjh5LWxocfKh-gyRfWRniZGLdEqMbx8oIhe02YwPAGrZSFvSL6FMNG3Z8rlRWyau-YNoD5y83tZSypC3rodfJ4nncDFPm9Q6vflRVoGmUhii6P9XezMdWtBkM5HB0uDqG1wRKrupK5f5ofXmOD7mIH8m2tgSyl04pxZ04fNSP8VI6EtnXGwLVc_I1UDnzw/s728-rw-ft-e30/image_2.png)
Attackers are increasingly using CAPTCHAs to mask credential-harvesting forms on fake websites. By generating hundreds of domain names using a Randomized Domain Generated Algorithm (RDGA) and implementing CloudFlare's CAPTCHAs, they can effectively hide these forms from automated security systems, such as web crawlers, which are unable to bypass the CAPTCHAs.


![Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEggQN0_-jPz_3rXkVOrlF6q_YeZDP8qXbWA9trof1sK6YFOwgSqah_boutsVQ0pM2LqEUGwicbUh26FXRCu36Pq3jd12k6qOaZ6FKVCkxaCJxPZ8SVoMJyyR8MvHb5fH_MblvsM5QBWhw5E-yKwr89p_D8abIWR5dEB1PU4q3e9eQJfTe2avN7RB0DKGT4/s728-rw-ft-e30/image_3.png)
The example above shows an attack targeting Halliburton Corporation employees. It first requires the user to pass a CAPTCHA check and then uses a realistic Office 365 private login page that is difficult to distinguish from the real page.


Once the victim enters their login credentials, they are redirected to a legitimate website, while the attackers exfiltrate the credentials to their Command-and-Control server.


Learn more about CAPTCHA attacks in [this article](https://any.run/cybersecurity-blog/steganography-in-malware-attacks/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=blog&utm_term=211123).


Steganography malware campaigns[#](#steganography-malware-campaigns)
--------------------------------------------------------------------


Steganography is the practice of hiding data inside different media, such as images, videos, or other files.


A typical phishing attack that employs steganography begins with a carefully crafted email designed to appear legitimate. Embedded within the email is an attachment, often a Word document, accompanied by a link to a file-sharing platform like Dropbox. In the example below, you can see a fake email from a Colombian government organization.


![Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjsCQEXrAAPmKbgLKtrqkxVLSpQBMLO1tOAViOYGXb-BbO62Oxrx0VHN-ig7flRkaHsjfwWe5KPyA3dZDY3tYt6bx6tghI6vVbzX_HPtZVxBrHPlhmpu9cqiOs7hPJbdBFIxxgqjO6XYEaE8MVTjmDmntKZylZG0IxcZAS469Tva8xOvpNt8cjv5pHj5rE/s728-rw-ft-e30/image_5.png) The unsuspecting user that clicks the link inside the document downloads an archive, which contains a VBS script file. Upon execution, the script retrieves an image file, seemingly harmless but containing hidden malicious code. Once executed, the malware infects the victim's system.


To understand how steganography attacks are carried out and detected, check out [this article](https://any.run/cybersecurity-blog/steganography-in-malware-attacks/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=blog&utm_term=211123). 


Expose phishing attacks with ANY.RUN[#](#expose-phishing-attacks-with-anyrun)
-----------------------------------------------------------------------------


[ANY.RUN](https://any.run/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=landing&utm_term=211123) is a malware analysis sandbox that is capable of detecting a wide range of phishing tactics and letting users examine them in detail.


Check out ANY.RUN's [Black Friday Offer](https://app.any.run/plans/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=pricing&utm_term=211123/), available November 20-26.


[![Phishing Attacks](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhyWxuGCHXZCuKKIwgII-CxeHDqKqPXrs21fXIrA9KPP8ko-CsyYVe0YD7HwSw9zC0MgA_PR94w8_n6NYUclqlfNFiPiaLgKagiRLaQ7iMSVFleHZkKdAnXZ9JDstRZTHmnyDmeVsFypnuctEx7_Br1P-IWgP6Cqd02zGviKD6cseo-d_ttxC_oAkgIY_g/s728-rw-ft-e30/image_4.png)](https://app.any.run/plans/?utm_source=thehackernews&utm_medium=article&utm_campaign=multistagephishing&utm_content=pricing&utm_term=211123)
The sandbox offers:


* Fully interactive Windows 7,9,10,11 virtual machines
* Comprehensive reports with IOCs and malware configs
* Private analysis of an unlimited number of files and links


  





## Tags:


### Autogenerated tags:
[[phishing]] [[captchas]] [[any.run]] [[malware]] [[cybercriminals]] [[captcha]]
