# New Grandoreiro Banking Malware Campaign Targeting Spanish Manufacturers
## A new Grandoreiro banking trojan campaign has been spotted targeting manufacturers in Spanish-speaking countries such as Spain and Mexico.
## Information:

+ Link: https://thehackernews.com/2022/08/new-grandoreiro-banking-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 August 2022, 16:33
+ Date scraped: 20 August 2022, 17:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjRIMDOUVYt2tYSlCUInFmAqRWljfquafEOONsDOrUgPW83lbnokiS2SqJTMva8VwLtufQ8Q_KavESlefcAGUHol2J3vGno1jV0l5tAdmob50gO4vv08ulOrjSyCK_yIJqljsrRAsTjKGcOp-P1lGguYFZEo8pMn0mZnX8cqiFMA9Fj4u6golmg7VL_/s728-e1000/malware.jpg)


Organizations in the Spanish-speaking nations of Mexico and Spain are in the crosshairs of a new campaign designed to deliver the **Grandoreiro** banking trojan. 


"In this campaign, the threat actors impersonate government officials from the Attorney General's Office of Mexico City and from the Public Ministry in the form of spear-phishing emails in order to lure victims to download and execute 'Grandoreiro,' a prolific banking trojan that has been active since at least 2016, and that specifically targets users in Latin America," Zscaler [said](https://www.zscaler.com/blogs/security-research/grandoreiro-banking-trojan-new-ttps-targeting-various-industry-verticals) in a report.


The ongoing attacks, which commenced in June 2022, have been observed to target automotive, civil and industrial construction, logistics, and machinery sectors via multiple infection chains in Mexico and chemicals manufacturing industries in Spain.


Attack chains entail leveraging spear-phishing emails written in Spanish to trick potential victims into clicking on an embedded link that retrieves a ZIP archive, from which is extracted a loader that masquerades as a PDF document to trigger the execution.


The phishing messages prominently incorporate themes revolving around payment refunds, litigation notifications, cancellation of mortgage loans, and deposit vouchers, to activate the infections.


"This [loader] is responsible for downloading, extracting and executing the final 400MB 'Grandoreiro' payload from a Remote HFS server which further communicates with the [command-and-control] Server using traffic [identical](https://seguranca-informatica.pt/the-updated-grandoreiro-malware-equipped-with-latenbot-c2-features-in-q2-2020-now-extended-to-portuguese-banks/) to [LatentBot](https://malpedia.caad.fkie.fraunhofer.de/details/win.latentbot)," Zscaler researcher Niraj Shivtarkar said.


That's not all. The loader is also designed to gather system information, retrieve a list of installed antivirus solutions, cryptocurrency wallets, banking, and mail apps, and exfiltrate the information to a remote server.


Observed in the wild for at least six years, Grandoreiro is a [modular backdoor](https://thehackernews.com/2020/07/brazilian-banking-trojan.html) with an array of functionalities that allows it to record keystrokes, execute arbitrary commands, mimic mouse and keyboard movements, restrict access to specific websites, auto-update itself, and establish persistence via a Windows Registry change.


What's more, the malware is written in Delphi and utilizes techniques like binary padding to inflate the binary size by 200MB, CAPTCHA implementation for sandbox evasion, and C2 communication using subdomains generated via a domain generation algorithm ([DGA](https://en.wikipedia.org/wiki/Domain_generation_algorithm)).


The [CAPTCHA technique](https://twitter.com/ankit_anubhav/status/1555521068734902272), in particular, requires the manual completion of the challenge-response test to execute the malware in the compromised machine, meaning that the implant is not run unless and until the CAPTCHA is solved by the victim.


The findings suggest that Grandoreiro is continuously evolving into a sophisticated malware with novel anti-analysis characteristics, granting the attackers full remote access capabilities and posing significant threats to employees and their organizations.


The development also arrives a little over a year after Spanish law enforcement agencies [apprehended](https://thehackernews.com/2021/07/16-cybercriminals-behind-mekotio-and.html) 16 individuals belonging to a criminal network in connection with operating Mekotio and Grandoreiro in July 2021.


  





## Tags:


### Autogenerated tags:
[[grandoreiro]] [[malware]] [[captcha]]
