# New StrelaStealer Phishing Attacks Hit Over 100 Organizations in E.U. and U.S.
## Researchers at Palo Alto Networks Unit 42 uncover a new wave of phishing attacks delivering StrelaStealer malware, impacting over 100 organizations in
## Information:

+ Link: https://thehackernews.com/2024/03/new-strelastealer-phishing-attacks-hit.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 March 2024, 19:38
+ Date scraped: 22 March 2024, 15:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgHpcZQUrPBQnIUjFnd8jEOSD5hhRzD2-AVXaWqlVptLz5wq9zZjcXCLu_MR7D_EmNi_xglrGzl-hCq2zyL1r7hzQI6PYCu2RtWeJUpPYP_YqAQ_o2Q6FC75OUnc0jvxSVRnCP8nZ-vN6DETUUGNTkxZBgVzQPYjO1GduNVzg1sIDrlDkxSxwUfQXgPQH4S/s728-rw-e365/phishing.jpg)


Cybersecurity researchers have detected a new wave of phishing attacks that aim to deliver an ever-evolving information stealer referred to as **StrelaStealer**.


The campaigns impact more than 100 organizations in the E.U. and the U.S., Palo Alto Networks Unit 42 researchers said in a new report published today.


"These campaigns come in the form of spam emails with attachments that eventually launch the StrelaStealer's DLL payload," the company [said](https://unit42.paloaltonetworks.com/strelastealer-campaign/) in a report published today.


"In an attempt to evade detection, attackers change the initial email attachment file format from one campaign to the next, to prevent detection from the previously generated signature or patterns."


First disclosed in November 2022, StrelaStealer is [equipped](https://thehackernews.com/2023/01/cybercriminals-using-polyglot-files-in.html) to siphon email login data from well-known email clients and exfiltrate them to an attacker-controlled server.


Since then, two large-scale campaigns involving the malware have been detected in November 2023 and January 2024 targeting high tech, finance, professional and legal, manufacturing, government, energy, insurance, and construction sectors in the E.U. and the U.S.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
These attacks also aim to deliver a new variant of the stealer that packs in better obfuscation and anti-analysis techniques, while being propagated via invoice-themed emails bearing ZIP attachments, marking a shift from ISO files.


Present within the ZIP archives is a JavaScript file that drops a batch file, which, in turn, launches the stealer DLL payload using [rundll32.exe](https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/rundll32), a legitimate Windows component responsible for running 32-bit dynamic-link libraries.


The stealer malware also relies on a bag of obfuscation tricks to render analysis difficult in sandboxed environments.


"With each new wave of email campaigns, threat actors update both the email attachment, which initiates the infection chain, and the DLL payload itself," the researchers said.


The disclosure comes as Broadcom-owned Symantec [revealed](https://www.broadcom.com/support/security-center/protection-bulletin/stealc-malware-distributed-in-a-recent-campaign) that fake installers for well known applications or cracked software hosted on GitHub, Mega or Dropbox are serving as a conduit for a stealer malware known as [Stealc](https://thehackernews.com/2023/02/researchers-discover-dozens-samples-of.html).


Phishing campaigns have also been observed delivering [Revenge RAT](https://www.broadcom.com/support/security-center/protection-bulletin/revenge-rat-via-malicious-ppam-in-latin-america-portugal-and-spain) and [Remcos RAT](https://www.welivesecurity.com/en/eset-research/rescoms-rides-waves-acecryptor-spam/) (aka Rescoms), with the latter delivered by means of a cryptors-as-a-service (CaaS) called [AceCryptor](https://thehackernews.com/2023/05/acecryptor-cybercriminals-powerful.html), per ESET.


[![StrelaStealer Phishing Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgK6G5ZqUcZofuv1VQdZFaYQPI9Ma7FD-YBH11zWq2aut-yLAvIsWwEqNu9RkfURuUT93FDVW8pyKzj_wWSNjeD_6Zm5akY7Q0xhihQ07OLEDzQM5bwpM4rZ8p8kqJJFb8UwBhCDQ1sLqdrH3-944IrI-x9nMHbrRLkWLPM89AgysjZLBaJyeIK_9zSkEuW/s728-rw-e365/iso.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgK6G5ZqUcZofuv1VQdZFaYQPI9Ma7FD-YBH11zWq2aut-yLAvIsWwEqNu9RkfURuUT93FDVW8pyKzj_wWSNjeD_6Zm5akY7Q0xhihQ07OLEDzQM5bwpM4rZ8p8kqJJFb8UwBhCDQ1sLqdrH3-944IrI-x9nMHbrRLkWLPM89AgysjZLBaJyeIK_9zSkEuW/s728-rw-e365/iso.jpg)
"During the second half of [2023], Rescoms became the most prevalent malware family packed by AceCryptor," the cybersecurity firm said, citing telemetry data. "Over half of these attempts happened in Poland, followed by Serbia, Spain, Bulgaria, and Slovakia."


Other prominent off-the-shelf malware packed inside AceCryptor in H2 2023 include SmokeLoader, STOP ransomware, RanumBot, Vidar, RedLine, Tofsee, Fareit, Pitou, and Stealc. It's worth noting that many of these malware strains have also been disseminated via [PrivateLoader](https://thehackernews.com/2022/09/researchers-find-link-bw-privateloader.html).


Another social engineering scam observed by Secureworks Counter Threat Unit (CTU) has been found to target individuals seeking information about recently deceased individuals on search engines with fake obituary notices hosted on bogus websites, driving traffic to the sites through search engine optimization (SEO) poisoning in order to ultimately push adware and other unwanted programs.


"Visitors to these sites are redirected to e-dating or adult entertainment websites or are immediately presented with CAPTCHA prompts that install web push notifications or popup ads when clicked," the company [said](https://www.secureworks.com/blog/are-scammers-using-ai-to-enhance-fake-obituary-sites).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
"The notifications display false virus alert warnings from well-known antivirus applications like McAfee and Windows Defender, and they persist in the browser even if the victim clicks one of the buttons."


"The buttons link to legitimate landing pages for subscription-based antivirus software programs, and an affiliate ID embedded in the hyperlink rewards threat actors for new subscriptions or renewals."


While the activity is currently limited to filling fraudsters' coffers via affiliate programs, the attack chains could be easily repurposed to deliver information stealers and other malicious programs.


The development also follows the discovery a new activity cluster tracked as [Fluffy Wolf](https://bi-zone.medium.com/fluffy-wolf-sends-out-reconciliation-reports-to-sneak-into-corporate-infrastructures-84763329332b) that's capitalizing on phishing emails containing an executable attachment to deliver a cocktail of threats, such as [MetaStealer](https://thehackernews.com/2023/09/beware-metastealer-malware-targets.html), [Warzone RAT](https://thehackernews.com/2024/02/us-doj-dismantles-warzone-rat.html), XMRig miner, and a legitimate remote desktop tool called Remote Utilities.


The campaign is a sign that even unskilled threat actors can leverage malware-as-a-service (MaaS) schemes to conduct successful attacks at scale and plunder sensitive information, which can then be monetized further for profit.


"Although mediocre in terms of technical skills, these threat actors achieve their goals by using just two sets of tools: legitimate remote access services and inexpensive malware," BI.ZONE [said](https://bi.zone/eng/news/kvalifikatsiya-kiberprestupnikov-nizkaya-ugroza-dlya-kompaniy-vysokaya/).


  





## Tags:


### Autogenerated tags:
[[malware]] [[phishing]] [[strelastealer]] [[emails]] [[dll]] [[acecryptor]]
