# Over 1 Million WordPress Sites Infected by Balada Injector Malware Campaign
## Summary: Balada Injector has been compromising WordPress sites since 2017, exploiting theme and plugin vulnerabilities.
## Information:

+ Link: https://thehackernews.com/2023/04/over-1-million-wordpress-sites-infected.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 10 April 2023, 10:16
+ Date scraped: 10 April 2023, 11:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj98AylgZgrBIJ36_e95tIhVncqcCrbm5m5FZ4FSryUfX5ugiYfe-6ID0kxKk4DUGh1vMHEzyK8ZWiJzsWrStFpyK5U7lLpdUC6fT30mJ1v66C_16VhnuIVbHsTRTSImj5cCsn7v-49h_c_DRuLnmI2PvxigniMKM9FkXDutzgkv-rLT1M-HpVAfdDp/s728-e3650/wordpress.png)


Over one million WordPress websites are estimated to have been infected by an ongoing campaign to deploy malware called **Balada Injector** [since 2017](https://blog.sucuri.net/2017/09/old-themes-abandoned-scripts-pitfalls-cleaning-serialized-data.html).


The massive campaign, per GoDaddy's Sucuri, "leverages all known and recently discovered theme and plugin vulnerabilities" to breach WordPress sites. The attacks are known to play out in waves once every few weeks.


"This campaign is easily identified by its preference for [String.fromCharCode](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/fromCharCode) obfuscation, the use of freshly registered domain names hosting malicious scripts on random subdomains, and by redirects to various scam sites," security researcher Denis Sinegubko [said](https://blog.sucuri.net/2023/04/balada-injector-synopsis-of-a-massive-ongoing-wordpress-malware-campaign.html).


The websites include [fake tech support](https://blog.sucuri.net/2018/10/multiple-ways-to-inject-the-same-tech-support-scam-malware.html), fraudulent lottery wins, and rogue CAPTCHA pages urging users to turn on notifications to 'Please Allow to verify, that you are not a robot,' thereby enabling the actors to send spam ads.


The report builds on [recent findings](https://thehackernews.com/2023/01/wordpress-security-alert-new-linux.html) from Doctor Web, which detailed a Linux malware family that exploits flaws in more than two dozen plugins and themes to compromise vulnerable WordPress sites.


In the interim years, Balada Injector has relied on over 100 domains and a plethora of methods to take advantage of known security flaws (e.g., HTML injection and [Site URL](https://developer.wordpress.org/reference/functions/site_url/)), with the attackers primarily attempting to obtain database credentials in the wp-config.php file.


Additionally, the attacks are engineered to read or download arbitrary site files – including backups, database dumps, log and error files – as well as search for tools like adminer and phpmyadmin that could have been left behind by site administrators upon completing maintenance tasks.


[![WordPress](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjat6y6XYQde_aN49CalxaSudifZm42yrAHNzTYMXIwwuoE-YVW-3x2-iT2E4Y8qiVA2R16Xoiij5eocYwIZQb__bKmvHb3LQDVpKQKPDqcQKbuwPEMDzO3adkFaAHlalFOIwqB4VnPVNHJzD3QYQ-URbxqTDgCkgfk5fSSBhchd22VhUazYgff64ft/s728-e365/hack.png)
The malware ultimately allows for the generation of fake WordPress admin users, harvest data stored in the underlying hosts, and leave backdoors for persistent access.


Balada Injector further carries out broad searches from top-level directories associated with the compromised website's file system to locate writable directories that belong to other sites.


"Most commonly, these sites belong to the webmaster of the compromised site and they all share the same server account and the same file permissions," Sinegubko said. "In this manner, compromising just one site can potentially grant access to several other sites 'for free.'"


Should these attack pathways turn out to be unavailable, the admin password is brute-forced using a set of 74 predefined credentials. WordPress users are, therefore, recommended to keep their website software up-to-date, remove unused plugins and themes, and use strong WordPress admin passwords.


The findings come weeks after Palo Alto Networks Unit 42 unearthed a similar malicious [JavaScript injection campaign](https://blog.sucuri.net/2022/05/massive-wordpress-javascript-injection-campaign-redirects-to-ads.html) that redirects site visitors to adware and scam pages. More than 51,000 websites have been affected since 2022.


The activity, which also employs String.fromCharCode as an obfuscation technique, leads victims to booby-trapped pages that trick them into enabling push notifications by masquerading as a fake CAPTCHA check to serve deceptive content.


"The injected malicious JS code was included on the homepage of more than half of the detected websites," Unit 42 researchers [said](https://unit42.paloaltonetworks.com/malicious-javascript-injection/). "One common tactic used by the campaign's operators was to inject malicious JS code on frequently used JS filenames (e.g., jQuery) that are likely to be included on the homepages of compromised websites."


"This potentially helps attackers target the website's legitimate users, since they are more likely to visit the website's home page."



  





## Tags:


### Autogenerated tags:
[[wordpress]] [[websites]] [[website]] [[malware]]
